
/*-----SL09_Scripts_SendOut----------------------------------------*/ 
  --Use the provided scripts below to identify the record to be
  --updated, and then update the record so it will appear in the
  --Send Out screen in SL9
  
  /*-----1. Identify record of interest-----*/
  
    SELECT DISTINCT
      ot.origrec,      
      ot.testgroupname,
      ot.testno,
      ot.containerid,
      ot.dept,
      ot.dispdept,
      ot.ordno,
      ot.outsourceordno,
      ot.servgrp,
      ot.ts,
      ot.tsa,
      ot.tsadisp
    FROM data_prod.Ordtask ot 
    WHERE 1=1
      ---Folder number goes here---
        AND ot.folderno ='&FolderNumber';      
      ---      
  /*----- -----*/

  /*-----2. Update identified record -----*/
    UPDATE data_prod.ordtask
    SET dept = 'CDC',
      dispdept = 'CDC',
      outsourceordno = 'OUTSOURCE',
      TS = 'Done',
      TSA = 'Released',
      tsadisp = 'Released'  
    WHERE 1=1
      AND origrec = '&OrdTask_Origrec';
  /*----- -----*/


  /*-----Cut And Paste -----*/
    --Identify Record of interest--
      SELECT DISTINCT 
        ot.origrec, ot.containerid, ot.testno, 
        ot.dept, ot.testgroupname, ot.dispdept, 
        ot.ordno, ot.outsourceordno, ot.servgrp, 
        ot.ts, ot.tsa, ot.tsadisp 
      FROM Ordtask ot 
      WHERE 1=1 
        AND ot.testno LIKE '%Send out %' 
        AND ot.folderno IN (
            'PI12339016', 'PI12311016', 'PI12275004', 'PI13007016')
    --
    --Set flags for identified record--
    UPDATE data_prod.ordtask
    SET dept = 'CDC',
      dispdept = 'CDC',
      outsourceordno = 'OUTSOURCE',
      TS = 'Done',
      TSA = 'Released',
      tsadisp = 'Released'  
    WHERE 1=1
      AND origrec IN ('??????', '??????', '??????')
    --

  /*----- -----*/



/*-----------------------------------------------------------------*/ 



