/*-----Eliminate Extra Draw----------------------------------------*/
  --These SQL statements can be used to identify and remove draws
  --associated with a sample that we want removed.
  

  /*----------SL09 Environments----------*/
    --TEST: data_sat
    --PROD: data_prod
  /*----------  ----------*/


  /*----------1. Review records of interests  ----------*/
    ---Results Table---
      SELECT DISTINCT
        r.folderno,
        r.ordno,
        r.s,
        r.testno,
        r.analyte,
        '~' AS sp1,
        r.*
      FROM data_prod.Results r
      WHERE 1=1 
        AND r.folderno = 'PV12314003'
      ORDER BY 
        r.folderno ASC,
        r.ordno ASC,
        r.testno ASC,
        r.analyte ASC; 
    ---
    
    ---OrdTask Table---                
      SELECT DISTINCT
        ot.folderno,
        ot.ordno,
        ot.testgroupname,
        ot.tmname,
        ot.testno,
        ot.ts,
        ot.tsadisp,
        '~' AS sp1,
        ot.*
      FROM data_prod.ordtask ot
      WHERE 1=1 
        AND FOLDERNO = 'PV12314003'; 
    ---      
 /*----------  ----------*/


  /*----------2. Delete Unwanted Draw  ----------*/  
    ---Results Table---
/*    
      DELETE FROM results 
      WHERE 1=1 
        AND FOLDERNO = 'PV12314003' 
        AND ORDNO = 'PV12314003002'
*/        
    ---

    ---Results OrdTask Table---      
/*
      DELETE FROM ordtask 
      WHERE 1=1       
        AND FOLDERNO = 'PV12314003' 
        AND ORDNO = 'PV12314003002'  
*/
    ---  
 /*----------  ----------*/

/*-----------------------------------------------------------------*/  




