
/*-----V09_HideReportComment---------------------------------------*\
  /*----------HISTORY----------*\
    --2013.04.12 JTY:  Created Script
  /*---------- ----------*\
 
  /*----------DESCRIPTION----------*\
    --Use these script to hide comments that are appearing on the final
    --report.  
    --Note: This doesn't seem to work when the sample is sent
      --throught the regular process, you will need to re-generate the 
      --report through the 
      --|EditFolder|EditResults|ResultsAttachements|
      --|Generatate Original Report| button    
    --Also,
      --You must run this script throught the SL9 interface.
  /*----------  ----------*\
/*-----------------------------------------------------------------*\


/*-----------------------------------------------------------------*\
  /*----------Identify existing commets for sample----------*\
    SELECT DISTINCT 
      origrec, changedby, dateenter, 
      reportable, warncode  
    FROM RESULTSAUDITTRAIL 
    WHERE 1=1
      AND folderno = 'PI13059006'
  /*----------  ----------*\
  
  /*----------Update Reportable column to hide comment  ----------*\
    UPDATE RESULTSAUDITTRAIL  
    SET REPORTABLE = 'N' 
    WHERE 1=1
      AND origrec IN ('269626')  
  /*----------  ----------*\    
/*-----------------------------------------------------------------*\




