/*-----SL09: Idenify Printed Reports--------------------------*/
  --This query will identify the reports that were printed
  --based on provided criteria.
  --Batch job are updated in the Batch Job History screen
 
  --2012.11.01 JTY: Developed script
 
  
  SELECT DISTINCT
    fc.folderno,
    fc.batch_job_id,
    ra.attby,
    ra.attdate,
    ra.atttime,
    ra.stardoc_id,
    ra.printdate,
    ra.status
  FROM data_prod.Res_Attachments ra
    INNER JOIN data_prod.Foldercondition fc ON (ra.folderno = fc.folderno)
  WHERE 1=1
  --AND trunc(ra.printdate) =  '31-OCT-2012' 
  --AND ra.attby = 'KREISS'
    AND trunc(ra.printdate) =  &PrintDate 
    AND ra.attby = &UserID  
  ORDER BY
    fc.batch_job_id ASC,
    fc.folderno ASC
/*-----------------------------------------------------------------*/  






