/*-----01~myLIMS_BackendScripts-------------------------------------------------*/
  -----DESCRIPTION-----
    --Scripts provided here are related to back end operations and generally
    --will not be assocaited with typicall user accounts.
    --    
    --1. QBE Query Listing Order - Update the row order from an QBE Query
    --2. QBE Templates Rights - Used to fix user access rights if a QBETemplate
    --                          import looses ther rights to the QBE Template.
  ----- -----

  -----HISTORY-----
  ----- -----
/*---------------------------------------------------------------------------*/


/*-----1. QBE Query Listing Order--------------------------------------------*/
  --These script will update the column orders of the QBE queries
  
  /*----------Review order for identified scripts---------*/
  /*
    SELECT DISTINCT
      a.qbetemplateid,
      a.table_name,
      a.field_name,
      a.field_alias,
      a.sorter
    FROM qbedatafields a
    WHERE 1=1
        AND a.qbetemplateid IN ('ML_Sta1', 'ML_Sum1')
  --    AND a.qbetemplateid IN ('ML_Sum1')
    ORDER BY
        a.qbetemplateid ASC,  
        a.sorter ASC,
        a.table_name ASC,
        a.field_name ASC,
        a.field_alias ASC;
  */    
  /*---------- ---------*/

  /*----------Update ML_Sum1 (mylims Summary Query)---------*/ 
  /*
    UPDATE Qbedatafields a SET a.sorter = 10 WHERE 1=1 AND a.qbetemplateid = 'ML_Sum1' AND a.field_alias = 'Panel';
    UPDATE Qbedatafields a SET a.sorter = 15 WHERE 1=1 AND a.qbetemplateid = 'ML_Sum1' AND a.field_alias = 'Sample ID';  
    UPDATE Qbedatafields a SET a.sorter = 20 WHERE 1=1 AND a.qbetemplateid = 'ML_Sum1' AND a.field_alias = 'Sample Status';
    UPDATE Qbedatafields a SET a.sorter = 25 WHERE 1=1 AND a.qbetemplateid = 'ML_Sum1' AND a.field_alias = 'Sample Conclusion';
    UPDATE Qbedatafields a SET a.sorter = 30 WHERE 1=1 AND a.qbetemplateid = 'ML_Sum1' AND a.field_alias = 'Collected';
    UPDATE Qbedatafields a SET a.sorter = 35 WHERE 1=1 AND a.qbetemplateid = 'ML_Sum1' AND a.field_alias = 'Received';
    UPDATE Qbedatafields a SET a.sorter = 40 WHERE 1=1 AND a.qbetemplateid = 'ML_Sum1' AND a.field_alias = 'Sample Approved';
    UPDATE Qbedatafields a SET a.sorter = 45 WHERE 1=1 AND a.qbetemplateid = 'ML_Sum1' AND a.field_alias = 'Patient ID';
    UPDATE Qbedatafields a SET a.sorter = 50 WHERE 1=1 AND a.qbetemplateid = 'ML_Sum1' AND a.field_alias = 'Submitter PID';
    UPDATE Qbedatafields a SET a.sorter = 55 WHERE 1=1 AND a.qbetemplateid = 'ML_Sum1' AND a.field_alias = 'Patient LN';
    UPDATE Qbedatafields a SET a.sorter = 60 WHERE 1=1 AND a.qbetemplateid = 'ML_Sum1' AND a.field_alias = 'Patient FN';
    UPDATE Qbedatafields a SET a.sorter = 70 WHERE 1=1 AND a.qbetemplateid = 'ML_Sum1' AND a.field_alias = 'Patient DOB';
    UPDATE Qbedatafields a SET a.sorter = 75 WHERE 1=1 AND a.qbetemplateid = 'ML_Sum1' AND a.field_alias = 'Submitter Name';
    UPDATE Qbedatafields a SET a.sorter = 80 WHERE 1=1 AND a.qbetemplateid = 'ML_Sum1' AND a.field_alias = 'Sub ID';
    UPDATE Qbedatafields a SET a.sorter = 85 WHERE 1=1 AND a.qbetemplateid = 'ML_Sum1' AND a.field_alias = 'Department';
    UPDATE Qbedatafields a SET a.sorter = 90 WHERE 1=1 AND a.qbetemplateid = 'ML_Sum1' AND a.field_alias = 'Test Name';
    UPDATE Qbedatafields a SET a.sorter = 95 WHERE 1=1 AND a.qbetemplateid = 'ML_Sum1' AND a.field_alias = 'Test Status';  
    UPDATE Qbedatafields a SET a.sorter = 100 WHERE 1=1 AND a.qbetemplateid = 'ML_Sum1' AND a.field_alias = 'Test Approved';
    UPDATE Qbedatafields a SET a.sorter = 105 WHERE 1=1 AND a.qbetemplateid = 'ML_Sum1' AND a.field_alias = 'Analyte';
    UPDATE Qbedatafields a SET a.sorter = 110 WHERE 1=1 AND a.qbetemplateid = 'ML_Sum1' AND a.field_alias = 'Draw';
    UPDATE Qbedatafields a SET a.sorter = 115 WHERE 1=1 AND a.qbetemplateid = 'ML_Sum1' AND a.field_alias = 'Final';

  */  
  /*---------- ---------*/

  /*----------Update ML_Sta1 (mylims Sample Status Query)---------*/ 
  /*
    UPDATE Qbedatafields a SET a.sorter = 10 WHERE 1=1 AND a.qbetemplateid = 'ML_Sta1' AND a.field_alias = 'Panel';
    UPDATE Qbedatafields a SET a.sorter = 15 WHERE 1=1 AND a.qbetemplateid = 'ML_Sta1' AND a.field_alias = 'Sample ID';
    UPDATE Qbedatafields a SET a.sorter = 20 WHERE 1=1 AND a.qbetemplateid = 'ML_Sta1' AND a.field_alias = 'Sample Status';
    UPDATE Qbedatafields a SET a.sorter = 25 WHERE 1=1 AND a.qbetemplateid = 'ML_Sta1' AND a.field_alias = 'Collected';
    UPDATE Qbedatafields a SET a.sorter = 30 WHERE 1=1 AND a.qbetemplateid = 'ML_Sta1' AND a.field_alias = 'Received';
    UPDATE Qbedatafields a SET a.sorter = 35 WHERE 1=1 AND a.qbetemplateid = 'ML_Sta1' AND a.field_alias = 'Approved';
    UPDATE Qbedatafields a SET a.sorter = 40 WHERE 1=1 AND a.qbetemplateid = 'ML_Sta1' AND a.field_alias = 'Patient ID';
    UPDATE Qbedatafields a SET a.sorter = 45 WHERE 1=1 AND a.qbetemplateid = 'ML_Sta1' AND a.field_alias = 'Submitter PID';
    UPDATE Qbedatafields a SET a.sorter = 50 WHERE 1=1 AND a.qbetemplateid = 'ML_Sta1' AND a.field_alias = 'Patient LN';
    UPDATE Qbedatafields a SET a.sorter = 55 WHERE 1=1 AND a.qbetemplateid = 'ML_Sta1' AND a.field_alias = 'Patient FN';
    UPDATE Qbedatafields a SET a.sorter = 60 WHERE 1=1 AND a.qbetemplateid = 'ML_Sta1' AND a.field_alias = 'Patient DOB';
    UPDATE Qbedatafields a SET a.sorter = 65 WHERE 1=1 AND a.qbetemplateid = 'ML_Sta1' AND a.field_alias = 'Submitter Name';
    UPDATE Qbedatafields a SET a.sorter = 70 WHERE 1=1 AND a.qbetemplateid = 'ML_Sta1' AND a.field_alias = 'Sub ID';
    UPDATE Qbedatafields a SET a.sorter = 75 WHERE 1=1 AND a.qbetemplateid = 'ML_Sta1' AND a.field_alias = 'Department';
    UPDATE Qbedatafields a SET a.sorter = 80 WHERE 1=1 AND a.qbetemplateid = 'ML_Sta1' AND a.field_alias = 'Test Name';
    UPDATE Qbedatafields a SET a.sorter = 85 WHERE 1=1 AND a.qbetemplateid = 'ML_Sta1' AND a.field_alias = 'Test Status';
    UPDATE Qbedatafields a SET a.sorter = 90 WHERE 1=1 AND a.qbetemplateid = 'ML_Sta1' AND a.field_alias = 'Test Approved';

    */
  /*---------- ---------*/
 
/*---------------------------------------------------------------------------*/





/*-----2. QBE Templates Rights-----------------------------------------------*/
  --Slapped togeter, don't think we will need this again, but just in case.

  /*
  SELECT * FROM Qbetemplates qt WHERE 1=1 AND qt.qbetemplateid = 'ML_Sta1' ORDER BY qt.qbetemplateid DESC;
  SELECT * FROM uac_rights ur;
  SELECT * FROM uac_resources ua WHERE ua.resource_type = 'QBE_TEMPLATE';
  SELECT * FROM uac_type_permissions ut;
  */


/*
  INSERT INTO uac_resources re (
    re.origsts, re.resource_type,
    re.resource_name, re.resource_description
  )
  VALUES (
    'N', 'QBE_TEMPLATE',
    'ML_Sta1', 'Provide quick view of sample status for submitting organization.'
  )

  INSERT INTO uac_rights ur (
    ur.origsts, ur.resource_type,
    ur.resource_name, ur.permission,
    ur.access_type, ur.entity_type,
    ur.entity_id
   )
  VALUES (
    'N', 'QBE_TEMPLATE',
    'ML_Sta1', 'CAN_CHANGE',
    'GRANT', 'USER',
    'YODERJ'
    )

  INSERT INTO uac_rights ur (
    ur.origsts, ur.resource_type,
    ur.resource_name, ur.permission,
    ur.access_type, ur.entity_type,
    ur.entity_id
   )
  VALUES (
    'N', 'QBE_TEMPLATE',
    'ML_Sta1', 'CAN_USE',
    'GRANT', 'USER',
    'YODERJ'
    )
  
  DELETE FROM uac_rights ur  where UR.ENTITY_ID = 'ML_Sta1'
*/  
/*---------------------------------------------------------------------------*/
