
/*-----PossibleResults_Trim---------------------------------------------------*/
  --Remove trailing and leading white space from Possible Results result and 
  --conclusion_report columns.

/*---------------------------------------------------------------------------*/


/*---------------------------------------------------------------------------*/

  /*-----Identify Records-----*/
  SELECT DISTINCT
    pr.analyte,
    pr.result,
    pr.conclusion_report,
    '~' AS eol
  FROM &Envirionment.possibleresults pr
  WHERE 1=1
    AND pr.result IS NOT NULL
    AND (
        (pr.result <> LTRIM(pr.result))
        OR (pr.result <> RTRIM(pr.result))
    );

    
  SELECT DISTINCT
    pr.analyte,
    pr.result,
    pr.conclusion_report,
    '~' AS eol
  FROM &Envirionment.possibleresults pr
  WHERE 1=1
    AND pr.conclusion_report IS NOT NULL  
    AND (
        (pr.conclusion_report <> LTRIM(pr.conclusion_report))
        OR (pr.conclusion_report <> RTRIM(pr.conclusion_report))
    );
  /*----- -----*/


  /*-----Perform Cleanup-----*/
/*  
    UPDATE &Envirionment.possibleresults pr
    SET pr.result = LTRIM(pr.result)
    WHERE 1=1
      AND pr.result IS NOT NULL
      AND pr.result <> LTRIM(pr.result);
      
    UPDATE &Envirionment.possibleresults pr
    SET pr.result = RTRIM(pr.result)
    WHERE 1=1
      AND pr.result IS NOT NULL    
      AND pr.result <> RTRIM(pr.result);      

    UPDATE &Envirionment.possibleresults pr
    SET pr.conclusion_report = LTRIM(pr.conclusion_report)
    WHERE 1=1
      AND pr.conclusion_report IS NOT NULL
      AND pr.conclusion_report <> LTRIM(pr.conclusion_report);

    UPDATE &Envirionment.possibleresults pr
    SET pr.conclusion_report = RTRIM(pr.conclusion_report)
    WHERE 1=1
      AND pr.conclusion_report IS NOT NULL
      AND pr.conclusion_report <> RTRIM(pr.conclusion_report);
*/    
  /*----- -----*/
/*---------------------------------------------------------------------------*/

  
  
  
