/*-----Flag_Fixes---------------------------------------------------*/
  /*-----Description-----*/
    --Various fixes for fixing issues related to status flags
  /*----- -----*/

  /*----- -----*/
  /*----- -----*/


  /*-----History-----*/
    --2015.05.04 JTY: Created Script file
  /*----- -----*/
/*-----------------------------------------------------------------*/




/*-----PreliminaryReports_CannotRequest----------------------------*/

  /*-----Description-----*/
    --Cannot Request Preliminary Report. - Preliminary check box
    --is disabled in the Edit Clinical Sample screen.
  /*----- -----*/
  
  /*-----Comments-----*/
    --Need to refine script.
  /*----- -----*/

  /*-----History-----*/
    --2015.05.05 JTY: Created Script
  /*----- -----*/

  /*-----Review Sample(s)-----*/
    SELECT DISTINCT
      f.folderno,
      f.apprsts,
      f.dispsts,   --Logged
      f.fldsts,    --Logged
      '~' AS SP1,
      f.external_id,
      f.folderno,
      f.apprsts,
      f.apprdate,
      f.approvedby,
      fc.testgroupname,
      fc.dispsts,
      fc.status AS fc_status,  
      f.origrec AS f_origrec,
      fc.origrec AS fc_origrec,
      '~' AS eol
    FROM sundata_prod.Folders f
      INNER JOIN sundata_prod.foldercondition fc ON (f.folderno = fc.folderno)    
    WHERE 1=1
      AND f.external_id IN ('&Sample01', '&Sample02')
    ORDER BY 
      f.folderno ASC;
  /*----- -----*/

select * from sundata_prod.folders f where f.external_id IN ('AZ00033238','AZ00033347')

  /*-----Adjust Flags-----*/
/*  
    UPDATE sundata_prod.folders f
    SET 
      f.apprsts = 'N/A',
      f.dispsts = 'Logged',
      f.fldsts = 'Logged'
    WHERE 1=1
      AND f.Folderno = '&SampleID-01';

    UPDATE sundata_prod.foldercondition fc
    SET 
      fc.Status = 'Logged'
    WHERE 1=1
      AND fc.Folderno = '&SampleID-01';
*/
  /*----- -----*/
/*-----------------------------------------------------------------*/




/*-----Samples Not In Samples for Shipment-------------------------*/

/*
  SELECT DISTINCT cr.external_id, cr.* FROM sundata_prod.centralreceiving cr WHERE cr.external_id IN
    ('AZ00033283','AZ00033347','AZ00033348');
  SELECT DISTINCT f.external_id, f.* FROM sundata_prod.folders f WHERE f.external_id IN 
    ('AZ00033283','AZ00033347','AZ00033348');
  SELECT DISTINCT fc.folderno, fc.* FROM sundata_prod.foldercondition fc WHERE fc.folderno IN
    ('AZ00033283-01','AZ00033347-01','AZ00033348-01');
  SELECT DISTINCT ot.folderno, ot.testno, ot.* FROM sundata_prod.ordtask ot WHERE ot.folderno IN
    ('AZ00033283-01','AZ00033347-01','AZ00033348-01');
  SELECT DISTINCT r.folderno, r.* FROM sundata_prod.results r WHERE r.folderno IN
    ('AZ00033283-01','AZ00033347-01','AZ00033348-01');
*/

/*
  UPDATE sundata_prod.centralreceiving cr
  SET
    cr.dispsts = 'Logged', --Prelogged
    cr.status = 'Logged' --Prelogged   
  WHERE 1=1
    AND cr.origrec IN ('107912','107913')
    
  UPDATE sundata_prod.folders f
  SET
    f.daterecv = to_date('7/23/2015','mm/DD/YYYY'),
    f.logdate = to_date('7/23/2015','mm/DD/YYYY'), 
    f.receivedby = 'MORQUEE',
    f.submitter = 'MORQUEE',
    f.dispsts = 'Logged', --Draft
    f.fldsts = 'Logged' --Draft  
  WHERE 1=1
    AND f.origrec IN ('120599','120597')  
    
  UPDATE sundata_prod.foldercondition fc
  SET
    fc.status = 'Logged' --Draft
  WHERE 1=1
    AND fc.origrec IN ('122335','122333')  

  UPDATE sundata_prod.ordtask ot
  SET
    ot.ts = 'Logged', --Draft
    ot.tsdisp = 'Logged' --NULL
  WHERE 1=1
    AND ot.origrec IN ('142900','142898')  
*/  
  

/*-----------------------------------------------------------------*/
