/*-----PRELIMINARY REPORT FIX--------------------------------------*/

  /*-----DESCRIPTION-----*/
    --Fixes for samles that we cannot request Preliminary Reports for.
  /*----- -----*/
  
  /*-----HISTORY-----*/
    --2015.07.13 JTY: Created Script
    --2017.07.07 JTY: Updated script to check the CR.DataEntryStatus Column
  /*----- -----*/
    
/*-----------------------------------------------------------------*/




/*-----------------------------------------------------------------*/
  --Before updating the status flags, check the DataEntryStatus flag
  --in the CentralReceiving table, it appears that sometimes this isn't
  --getting updated.  The value appears to need to be = ReleaseDone
  --in order for the sample to appear in the Preliminary Release by Panel
  --application.  It seems that it is in ReceiveDone when there are issues.


  SELECT DISTINCT
    cr.external_id,
    cr.dataentrystatus
  FROM centralreceiving cr 
  WHERE 1=1
    AND cr.external_id IN (&SampleList);

/*
  UPDATE centralreceiving cr
  SET cr.dataentrystatus = 'ReleaseDone'
  WHERE 1=1
    AND cr.external_id = '&SampleID'  
*/    
/*-----------------------------------------------------------------*/


/*-----01. Fix Flags and Request Report----------------------------*/
  --Review sample status flags, to appear in Preliminary Release by
  --Panel, it needs to be 'Active'
  SELECT DISTINCT
    f.external_id,
    f.dept,
    f.dispsts AS f_dispsts,
    f.fldsts AS f_fldsts,
    f.need_preliminary,
    fc.status AS fc_status,    
    '~' AS eol
  FROM folders f
    INNER JOIN Foldercondition fc ON (f.folderno = fc.folderno)
  WHERE 1=1
    AND f.external_id IN (&SampleList);
  

  /*-----Update Folder Status-----*/
/*  
    UPDATE &Environment.folders f 
      SET f.fldsts = 'Logged',  
        f.DISPSTS = 'Logged',
        f.need_preliminary = 'Y' 
    WHERE f.external_id = '&SampleID';
    UPDATE &Environment.foldercondition fc 
      SET fc.status = 'Draft' 
    WHERE fc.folderno = '&FolderNo'
*/  
  /*----- -----*/
/*-----------------------------------------------------------------*/

