

/*-----02. Update Approval Information---------------------------------------*/
/*---------------------------------------------------------------------------*/
  ---Review Run---
    SELECT
      ot.runno,
      ot.dept,
      ot.testno,
      ot.folderno,      
      ot.apprdate AS ot_apprdate,      --ApprovalDate
      ot.apprvedby AS ot_apprvedby,     --UserNo
      ot.ts,            --Done/OOS
      ot.tsa,           --Released
      ot.tsadisp,       --Released
      '~~' AS run_info,
      r.approvedate AS r_approvedate,        --DD-MON-YYYY
      r.approvedby AS r_approvedby,          --UserNo
      r.approvalstatus AS r_approvalstatus,  --Released
      r.runstatus AS r_runstatus,            --Done
      r.runstsdisp AS r_runstsdisp,          --Done
      r.stepcode AS r_stepcode,              --? MULTIAPP ?
      r.stepcodedisp AS r_stepcodedisp,      --? MULTIAPP ?
      '~' AS eol
    FROM ordtask ot 
      INNER JOIN runs r ON (ot.runno = r.runno)
    WHERE ot.runno = '&RunNumber'
    ORDER BY
      ot.folderno ASC
  --- ---
  
  
  
  
  ---Update Run to force to Run Approval---
/*
    UPDATE runs r
    SET 
      r.approvedate = '',
      r.approvedby = '',
      r.approvalstatus = ''
      --r.runstatus = 'Done', 
      --r.runstsdisp = 'Done' 
    WHERE 1=1
      AND r.runno = '&RunNumber';
      
        
    UPDATE ordtask ot
    SET 
      ot.apprdate = '', 
      ot.apprvedby = '',
      --ot.ts = 'Done', --Done or OOS
      ot.tsa = 'RTR',
      ot.tsadisp = 'RTR'
    WHERE 1=1
      AND ot.runno = '&RunNumber';
*/
  --- ---
  
  
  ---Update Run Approval information for completed run---
/*
    UPDATE runs r
    SET 
      r.approvedate = to_date('&RunDate','DD-MON-YYYY'),
      r.approvedby = '&ApprovedBy',
      r.approvalstatus = 'Released',
      r.runstatus = 'Done', 
      r.runstsdisp = 'Done' 
    WHERE 1=1
      AND r.runno = '&RunNumber';
      
        
    UPDATE ordtask ot
    SET 
      ot.apprvedby = '&ApprovedBy',
      ot.apprdate = to_date('&RunDate','DD-MON-YYYY'),
      --ot.ts = 'Done', --Done or OOS      ot.tsa = 'Released',
      ot.tsadisp = 'Released'

    WHERE 1=1
      AND ot.runno = '&RunNumber';
*/
  --- ---
  
  
  
/*---------------------------------------------------------------------------*/





