/*=====TestNotOnReport==============================================*/
  -----DESCRIPTION-----
    --This set of scripts can be used to review a sample when the
    --Final or preliminary report is not displaying a test on the
    --report.
    
    --It appears that some how the PrintFlag may be set to 'N', and
    --needs to be updated to 'Y'
  -----

  -----HISTORY-----
    --2013.12.02 JTY: Created Script
  -----
/*=================================================================*/



/*-----------------------------------------------------------------*/
  /*----------Review Sample Tests----------*/
    --Review sample, tests, and print flag values
      SELECT DISTINCT
       r.origrec AS r_origrec,
       r.folderno, 
       r.testno,
       r.analyte,
       r.runno,
       r.report_flag,
       r.printflag,
       r.final,
       f.origrec AS f_origrec,
       '~'
      FROM &Environment.folders f 
        INNER JOIN &Environment.results r ON (f.folderno = r.folderno)
      WHERE 1=1
        AND  f.external_id = '&SampleID'
      ORDER BY 
        r.folderno ASC,
        r.testno ASC,
        r.analyte ASC,
        r.origrec ASC
  /*---------- ----------*
  
  /*----------Update PrintFlag----------*/
    --Use this to update the print flag so the test will appear
    --on the report next time you quque it up.
/*
   UPDATE &Environment.results r 
   SET r.printflag = 'Y' 
   WHERE r.origrec='&RunOrigrec'
*/   
  /*---------- ----------*


/*-----------------------------------------------------------------*/
