

/*-----PossibleResults Scripts-----------------------------------------------*/
   /*-----DESCRIPTION-----*/
     --This set of qeries is related to Possible Results of test performed.
     --It consist of the following sections:
       --01.TestSpecifications Extract 
   /*----- -----*/   

   /*----- -----*/
   /*----- -----*/   


/*---------------------------------------------------------------------------*/



/*---------------------------------------------------------------------------*/
/*-----SNOMED codes for PR---------------------------------------------------*/
  --Get snomed codes associated with Possible results for current tests.
  SELECT DISTINCT
    (t.testno || ' (' || t.testcode || ')') AS test_name,
    t.testflag,
    pr.result,
    pr.conclusion_report,
    pr.snomedcode,
    pr.snomedconceptid,
    pr.snomeddescriptionid,
--    (ctt.servgrp || ' (' || ctt.dept || ')') AS department,
--    ctt.testgroupname AS panel,
    '~' AS eol
  FROM possibleresults pr
    INNER JOIN tests t ON (pr.testcode = t.testcode)
    INNER JOIN conditiontesttriggers ctt ON (t.testcode = ctt.testcode)
    INNER JOIN testgroupnames tgn ON (ctt.testgroupname = tgn.testgroupname)
    INNER JOIN sample_programs sp ON (tgn.sp_code = sp.sp_code)
  WHERE 1=1
    AND t.testcatcode <> 'Retired'
    AND tgn.status = 'Active'
    --AND ctt.dept = '&Dept'
    --AND t.testno = ''
    --AND t.testcode = ''
  ORDER BY 
      test_name ASC,
      pr.result ASC;
--      panel ASC,
--      department ASC;
/*-----------------------------------------------------------------*/




/*-----01.TestSpecifications Extract-----------------------------------------*/

   /*-----Description-----*/
     --Use this query to extract information related to the Test Specifications
     --document used to configure a test.
   /*----- -----*/

   /*----- -----*/
     SELECT DISTINCT
       --Environment--
       CASE 
         WHEN ('&Environment' = 'sundata_prod') THEN 'PROD'
         WHEN ('&Environment' = 'sundata_sat') THEN 'TEST'
         WHEN ('&Environment' = 'sunrise_data') THEN 'DEV'           
       END AS ENV,    
       -- --          
       t.testno,
       pr.analyte,
       pr.snomedcode AS result_code,
       pr.result,
       pr.conclusion_report AS report_as,
       pr.result_status AS status,
       pr.sorter,
       '~' AS eol
     FROM  &Environment.tests t 
       INNER JOIN &Environment.possibleresults pr ON (t.testcode = pr.testcode)
     WHERE 1=1
       AND t.testno = '&TestName'--'PFGE - Salmonella'
--       AND t.testcode IN (&TestCodeList)
     ORDER BY
       t.testno ASC,
       pr.analyte ASC,
       pr.sorter ASC,
       pr.result ASC;
   /*----- -----*/   
      
   /*----- -----*/
   /*----- -----*/   


/*---------------------------------------------------------------------------*/


