--SELECT * FROM SUNDATA_PROD.Runs r WHERE r.runno = '6448';

SELECT DISTINCT
  f.external_id,
  fc.status,
  fc.approvalstatus,
  fc.approvedby,
  fc.approveddate,
  t.testno,
  re.runno,
  ot.apprdate,
  ot.apprvedby, 
  '~' AS eol
FROM SUNDATA_PROD.Folders f
 INNER JOIN SUNDATA_PROD.Foldercondition fc ON (f.folderno = fc.folderno)
 INNER JOIN SUNDATA_PROD.Ordtask ot ON (f.folderno = ot.folderno)
 LEFT OUTER JOIN SUNDATA_PROD.Results re ON (1=1
   AND ot.ordno = re.ordno
   AND ot.testcode = re.testcode)
 INNER JOIN SUNDATA_PROD.tests t ON (re.testcode = t.testcode)
WHERE 1=1
  AND fc.status NOT IN ('Cancel')
  AND (
    (ot.apprdate IS NULL  AND fc.approveddate IS NOT NULL)
    OR (trunc(ot.apprdate) > TRUNC(fc.approveddate))
    )
  AND (ot.apprdate > to_date('01-feb-2015', 'DD-MON-YYYY'))
ORDER BY
  t.testno ASC,
  re.runno ASC,
  f.external_id ASC
