

SELECT DISTINCT
  f.external_id,
  t.testno,
  ot.runno,
  t.testcode,
  ta.datechange,
  ta.ordno,
  ta.testcode,
  ta.apprdate_before,
  ta.apprdate_after,
  '~' AS eol
FROM sundata_prod.TRIGGER_ALERTS ta
  INNER JOIN sundata_prod.ordtask ot ON (ta.ordno = ot.ordno AND ot.testcode = ta.testcode)
  INNER JOIN sundata_prod.folders f ON (ot.folderno = f.folderno)
  INNER JOIN sundata_prod.tests t ON (ta.testcode = t.testcode)
WHERE 1=1
--  AND ot.runno IN ('8750', '8656')
  AND ot.runno IN ('8750')  
--  AND t.testno = 'HIV-1/HIV-2 Multispot'
--  AND f.external_id = 'AZ00036661'
ORDER BY 
  ot.runno ASC,
  ta.testcode ASC;
  
/*  

*/  

