

/*-----SubpoenaForMedicalRecords----------------------------------------------*/
  /*-----DESCRIPTION-----*/
    --Queries procded her are to identify any samples that were received by
    --the lab in either STARLiMS v9 or v10 for the identified person(s)
  /*----- -----*/
  
  /*-----HISTORY-----*/
    --2016.02.08 JTY: Created Script
  /*----- -----*/

/*---------------------------------------------------------------------------*/


/*-----VERION 10 CLINICAL SEARCH---------------------------------------------*/
  /*----- -----*/
    --Schema: sundata_prod
  /*----- -----*/
  
  /*-----Serch By Name-----*/
    SELECT DISTINCT
      (cr.last_name || ', ' || cr.first_name) AS patient_name,
      cr.date_received,
      TRUNC(cr.birth_date) AS birth_date,
--      TRUNC(to_date('&BirthDate','DD-MON-YYYY')) AS search_dob,
      cr.external_id,
      f.dispsts,
      f.dept,
      ot.testgroupname,
      ot.testno,
      r.final,
      '~' AS EOL
    FROM sundata_prod.centralreceiving cr
      INNER JOIN sundata_prod.patients p ON (cr.patient_id = p.patient_id)
      INNER JOIN sundata_prod.folders f ON (cr.external_id = f.external_id)
      INNER JOIN sundata_prod.ordtask ot ON (f.folderno = ot.folderno)
      INNER JOIN sundata_prod.results r ON (1=1
          AND ot.ordno = r.ordno
          AND ot.testcode = r.testcode)
    WHERE 1=1
--      AND TRUNC(cr.birth_date) LIKE (TRUNC(to_date('&BirthDate','DD-MON-YYYY')) || '%')
      AND UPPER(cr.last_name) LIKE UPPER('&LastName%')
      AND UPPER(cr.first_name) LIKE UPPER('&FirstName%')
    ORDER BY
      patient_name ASC,
      TRUNC(cr.birth_date) ASC,
      cr.external_id ASC,
      ot.testgroupname ASC,
      ot.testno ASC;
  /*----- -----*/

  /*----- -----*/
  /*----- -----*/
/*---------------------------------------------------------------------------*/


