

/*-----ForceSampleToPreLogin---------------------------------------*/
  /*----------Discription---------*/
    --This script will update the CentralReceiving flags to force
    --the sample back to the Clinical Sample Pre Login application.
    --It is recommended that this script be done only on samples 
    --that do not have any results currently associated with them.    
  /*---------- ---------*/

  /*----------Database Instances---------*/
    --DEV:  sunrise_data
    --TEST: sundata_sat
    --PROD: sundata_prod  
  /*---------- ---------*/
    
  /*----------History---------*/
    --2013.08.27 JTY: Created Script
  /*---------- ---------*/
/*-----------------------------------------------------------------*/






/*-----Update CentralReceiving key flag values---------------------*/
  --Update 

  /*-----Status values-----*/
    --Sample Pre Login
      --cr.dataentrystatus     = Pending
      --cr.dispdataentrystatus = Pending
      --cr.status              = Draft

    --Receive Prelogged
      --cr.dataentrystatus     = ReleaseDone
      --cr.dispdataentrystatus = ReleaseDone
      --cr.status              = Prelogged
  /*----- -----*/

  /*----------Review Current Flag Values ---------*/
    SELECT DISTINCT
      cr.dataentrystatus,      --Pending
      cr.dispdataentrystatus,  --Pending
      cr.status                --Draft    
    FROM &Environment.CentralReceiving cr
    WHERE 1=1
      AND cr.external_id = '&SampleID'    
  /*---------- ---------*/


  /*----------Update Flag Values ---------*/
/*
    UPDATE &Environment.CentralReceiving cr
    SET
      cr.dataentrystatus = 'Pending',
      cr.dispdataentrystatus = 'Pending',
      cr.status = 'Draft'
    WHERE 1=1
      AND cr.external_id = '&SampleID'    
*/
  /*---------- ---------*/

/*-----------------------------------------------------------------*/
