
/*-----------------------------------------------------------------*/    
/*-----MaericalCodeChange------------------------------------------*/
  /*-----DESCRIPTION-----*/
    --Script provided here can be used to update material code if it
    --is wrong, or needs to be updated.  An example of this is
    --where someone place H20 instead of H2O (That's zero instead of
    --the letter O).
    
    --It is also importatnt the you double check the tables that
    --need to be updated by executing the FindColumnValue Test
    --Script located in the SQL library to make sure we have 
    --identified all tables that need to be updated.  The following
    --parameter values should be used:
      --FieldDataType: VARCHAR2      
      --FieldDataLength: 30            
      --FieldSeachValue: (Need to select the MatCode to be replaced)
  /*----- -----*/
  

  /*----- -----*/
  /*----- -----*/

  /*----- -----*/
  /*----- -----*/

  /*-----HISTORY-----*/
    --2014.08.11 JTY: Created Script
  /*----- -----*/


  
/*-----------------------------------------------------------------*/



/*-----Review Records To Be Updated--------------------------------*/
  SELECT * FROM &Environment.INVENTORY  WHERE matcode = '&OldMatCode';
  SELECT * FROM &Environment.MATERIALS WHERE matcode = '&OldMatCode';  
  SELECT * FROM &Environment.MICROCOMPREAGENTS WHERE matcode = '&OldMatCode';
  SELECT * FROM &Environment.MICROTASKREAGENTS WHERE matcode = '&OldMatCode';
  SELECT * FROM &Environment.PROD_SUPPLIERS ps WHERE ps.matcode = '&OldMatCode';    
  SELECT * FROM &Environment.RUNREAGENTS WHERE matcode = '&OldMatCode';
  SELECT * FROM &Environment.TESTREAGENTS WHERE matcode = '&OldMatCode';
/*-----------------------------------------------------------------*/




/*-----Update Scripts----------------------------------------------*/
  --Most of these tables have constraints that will need to be 
  --disabled to make the changes.
  

  /*-----Disable Table Constratints-----*/
/*  
      ALTER TABLE &Environment.INVENTORY DISABLE CONSTRAINT FK_Inventory_Materials01;
      ALTER TABLE &Environment.MICROCOMPREAGENTS DISABLE CONSTRAINT FK_MicroCompReagen_MaterialS02;
      ALTER TABLE &Environment.PROD_SUPPLIERS DISABLE CONSTRAINT Prod_Suppliers_FK1;
      ALTER TABLE &Environment.TESTREAGENTS DISABLE CONSTRAINT TestReagents_FK2;                        
*/
  /*----- -----*/

  /*-----[INVENTORY].MATCODE-----*/
    --Constraint: FK_Inventory_Materials01
/*    
    UPDATE &Environment.INVENTORY 
    SET matcode = '&NewMatCode' 
    WHERE matcode = '&OldMatCode'  
*/    
  /*----- -----*/

  /*-----[MATERIALS].MATCODE-----*/
    --Constraint: Prod_Suppliers_FK1
/*    
    UPDATE &Environment.MATERIALS
    SET matcode = '&NewMatCode' 
    WHERE matcode = '&OldMatCode'  
*/    
  /*----- -----*/

  /*-----[MICROCOMPREAGENTS].MATCODE-----*/
    --Constraint: FK_MicroCompReagen_MaterialS02
/*    
    UPDATE &Environment.MICROCOMPREAGENTS    
    SET matcode = '&NewMatCode' 
    WHERE matcode = '&OldMatCode'  
*/    
  /*----- -----*/

  /*-----[MICROTASKREAGENTS].MATCODE-----*/
    --Constraint: None
/*
    UPDATE &Environment.MICROTASKREAGENTS    
    SET matcode = '&NewMatCode' 
    WHERE matcode = '&OldMatCode'  
*/    
  /*----- -----*/

  /*-----[PROD_SUPPLIERS].MATCODE-----*/
    --Constraint: Prod_Suppliers_FK1
/*    
    UPDATE &Environment.PROD_SUPPLIERS    
    SET matcode = '&NewMatCode' 
    WHERE matcode = '&OldMatCode'  
*/    
  /*----- -----*/

  /*-----[RUNREAGENTS].MATCODE-----*/
    --Constraint: None
/*    
    UPDATE &Environment.RUNREAGENTS    
    SET matcode = '&NewMatCode' 
    WHERE matcode = '&OldMatCode'  
*/    
  /*----- -----*/

  /*-----[TESTREAGENTS].MATCODE-----*/
    --Constraint: TestReagents_FK2
/*    
    UPDATE &Environment.TESTREAGENTS    
    SET matcode = '&NewMatCode' 
    WHERE matcode = '&OldMatCode'  
*/    
  /*----- -----*/

  /*-----Re-Enable Table Constratints-----*/
/*  
      ALTER TABLE &Environment.INVENTORY ENABLE CONSTRAINT FK_Inventory_Materials01;
      ALTER TABLE &Environment.MICROCOMPREAGENTS ENABLE CONSTRAINT FK_MicroCompReagen_MaterialS02;
      ALTER TABLE &Environment.PROD_SUPPLIERS ENABLE CONSTRAINT Prod_Suppliers_FK1;
      ALTER TABLE &Environment.TESTREAGENTS ENABLE CONSTRAINT TestReagents_FK2;
*/      
  /*----- -----*/
  
  
/*-----------------------------------------------------------------*/




    
    

