

/*-----RenameServiceGroup----------------------------------------------------*/
  --Use this set of scripts to update the Service Group/Team Categories name.
/*---------------------------------------------------------------------------*/

--OldName: Chem Terrorism
--NewName: Chem Threat


/*-----Review Tables to be updated-------------------------------------------*/
  SELECT DISTINCT a1.servgrp, a1.* FROM &Environment.servgrptypes a1 WHERE a1.servgrp = '&OldServiceGroupName';
  SELECT DISTINCT a1.servgrp, a1.* FROM &Environment.conditiontesttriggers a1 WHERE a1.servgrp = '&OldServiceGroupName';
  SELECT DISTINCT a1.servgrp, a1.* FROM &Environment.floweventlog a1 WHERE a1.servgrp = '&OldServiceGroupName';
  SELECT DISTINCT a1.servgrp, a1.* FROM &Environment.folderservgrp a1 WHERE a1.servgrp = '&OldServiceGroupName';  
  SELECT DISTINCT a1.servgrp, a1.* FROM &Environment.methodsrelatedtotests a1 WHERE a1.servgrp = '&OldServiceGroupName';
  SELECT DISTINCT a1.servgrp, a1.* FROM &Environment.methodsrelsptests a1 WHERE a1.servgrp = '&OldServiceGroupName';
  SELECT DISTINCT a1.servgrp, a1.* FROM &Environment.ordtask a1 WHERE a1.servgrp = '&OldServiceGroupName';
  SELECT DISTINCT a1.servgrp, a1.* FROM &Environment.preptasks a1 WHERE a1.servgrp = '&OldServiceGroupName';
  SELECT DISTINCT a1.servgrp, a1.* FROM &Environment.runs a1 WHERE a1.servgrp = '&OldServiceGroupName';
  SELECT DISTINCT a1.servgrp, a1.* FROM &Environment.samplecontainers a1 WHERE a1.servgrp = '&OldServiceGroupName';
  --Constrained Tables--
  SELECT DISTINCT a1.servgrp, a1.* FROM &Environment.servgrp a1 WHERE a1.servgrp = '&OldServiceGroupName';  
  SELECT DISTINCT a1.servgrp, a1.* FROM &Environment.servganalyst a1 WHERE a1.servgrp = '&OldServiceGroupName';
  SELECT DISTINCT a1.servgrp, a1.* FROM &Environment.equipment a1 WHERE a1.servgrp = '&OldServiceGroupName';    


/*----Special situation where no Code associated with Service Group-----------*/
/*
  SELECT a1.servgrpcode FROM &Environment.servgrp a1  WHERE a1.servgrp = '&OldServiceGroupName'
  UPDATE &Environment.servgrp a1 SET a1.servgrpcode = '&NewServiceCode' WHERE a1.servgrp = '&OldServiceGroupName'
*/
/*---------------------------------------------------------------------------*/




/*---------------------------------------------------------------------------*/
/*
  -----ServGrpTypes-----
    UPDATE &Environment.servgrptypes a1
    SET
      a1.servgrp = '&NewServiceGroupName'
    WHERE 1=1
      AND a1.servgrp = '&OldServiceGroupName';
  ----- -----
  -----ConditionTestTriggers-----
    UPDATE &Environment.conditiontesttriggers a1
    SET
      a1.servgrp = '&NewServiceGroupName'
    WHERE 1=1
      AND a1.servgrp = '&OldServiceGroupName';
  ----- -----
  -----FlowEventLog-----
    UPDATE &Environment.floweventlog a1
    SET
      a1.servgrp = '&NewServiceGroupName'
    WHERE 1=1
      AND a1.servgrp = '&OldServiceGroupName';
  ----- -----
  -----FolderServgrp-----
    UPDATE &Environment.folderservgrp a1
    SET
      a1.servgrp = '&NewServiceGroupName'
    WHERE 1=1
      AND a1.servgrp = '&OldServiceGroupName';
  ----- -----
  -----MethodsRelatedToTests-----
    UPDATE &Environment.methodsrelatedtotests a1
    SET
      a1.servgrp = '&NewServiceGroupName'
    WHERE 1=1
      AND a1.servgrp = '&OldServiceGroupName';
  ----- -----
  -----MethodsRelSpTests-----
    UPDATE &Environment.methodsrelsptests a1
    SET
      a1.servgrp = '&NewServiceGroupName'
    WHERE 1=1
      AND a1.servgrp = '&OldServiceGroupName';
  ----- ----- 
  -----OrdTask-----
    UPDATE &Environment.ordtask a1
    SET
      a1.servgrp = '&NewServiceGroupName'
    WHERE 1=1
      AND a1.servgrp = '&OldServiceGroupName';
  ----- -----
  -----PrepTasks-----
    UPDATE &Environment.preptasks a1
    SET
      a1.servgrp = '&NewServiceGroupName'
    WHERE 1=1
      AND a1.servgrp = '&OldServiceGroupName';
  ----- -----
  -----Runs-----
    UPDATE &Environment.runs a1
    SET
      a1.servgrp = '&NewServiceGroupName'
    WHERE 1=1
      AND a1.servgrp = '&OldServiceGroupName';
  ----- -----
  -----SampleContainers-----
    UPDATE &Environment.samplecontainers a1
    SET
      a1.servgrp = '&NewServiceGroupName'
    WHERE 1=1
      AND a1.servgrp = '&OldServiceGroupName';
  ----- -----


------------Constrained Tables-----------------



  -----Disable Table Constraints----
    ALTER TABLE &Environment.servganalyst DISABLE CONSTRAINT SERVGANALYST_FK3;
    ALTER TABLE &Environment.equipment DISABLE CONSTRAINT EQUIPMENT_FK2;
  ----- ----
  -----ServGrp-----
    UPDATE &Environment.servgrp a1
    SET
      a1.servgrp = '&NewServiceGroupName'
    WHERE 1=1
      AND a1.servgrp = '&OldServiceGroupName';
  ----- -----
  -----ServgAnalyst-----
    UPDATE &Environment.servganalyst a1
    SET
      a1.servgrp = '&NewServiceGroupName'
    WHERE 1=1
      AND a1.servgrp = '&OldServiceGroupName';
  ----- -----
  -----Equipment-----
    UPDATE &Environment.equipment a1
    SET
      a1.servgrp = '&NewServiceGroupName'
    WHERE 1=1
      AND a1.servgrp = '&OldServiceGroupName';
  ----- -----
  -----Enable Table Constraints----
    ALTER TABLE &Environment.servganalyst ENABLE CONSTRAINT SERVGANALYST_FK3;
    ALTER TABLE &Environment.equipment ENABLE CONSTRAINT EQUIPMENT_FK2;
  ----- ----
*/

/*---------------------------------------------------------------------------*/

