/*-----------------------------------------------------------------*/
/*-----AddCannedComments-------------------------------------------*/
  /*----------Description----------*/
    --Use these scripts to add Canned Comments to STARLIMS application
    --We are going to devlop these as we go along, so add them as
    --they are needed.
    --
    --Current scripts include:
      --1. Panel Level CC.
        
    --Note: Ideally we would like to use MERGE, or an updated 
    --insert to ensure we don't add the same canned comment twice.
    --Don't have time to develope these right now, so need to do this
    --later.
  /*----------History----------*/
    --2013.07.11 JTY: Created Script
  /*---------- ----------*/
  

  /*---------- ----------*/
  /*---------- ----------*/

/*-----------------------------------------------------------------*/





/*-----Resources---------------------------------------------------*/
  /*---------- ----------*/
    --SELECT * FROM canned_comments
  /*---------- ----------*/
  /*---------- ----------*/
  /*---------- ----------*/
/*-----------------------------------------------------------------*/


/*-----------------------------------------------------------------*/
  /*----------Check On CC Existance----------*/
/*  
    SELECT DISTINCT
      cc.status,
      cc.testgroupname,
      cc.sp_code,
      t.testno,
      cc.testcode,
      cc.analyte,
      cc.sorter,    
      cc.start_date,
      cc.expiration_date,        
      (cc.conditionfield || ' '  || 
          cc.qualifier || ' '  || 
          cc.conditionvalue) AS condition_calc,
      cc.attachment_scope,
      cc.printonreport,
      cc.canned_comment,
      cc.rep,
      cc.calculation,
      cc.runflag,
      cc.code,
      cc.stepcode,
      cc.compid,
      '~' AS eol
    FROM &Environment.canned_comments cc
      LEFT OUTER JOIN &Environment.tests t ON (cc.testcode = t.testcode)
    WHERE 1=1
      AND cc.canned_comment = '&CannedComment'
    ORDER BY
      cc.testgroupname ASC,
      t.testno ASC,
      cc.analyte ASC;
*/
  /*---------- ----------*/
  
  /*----------Insert New Panel Level CC----------*/
    --NOTE: This does NOT check to see if the cc has already been added.
/*
    INSERT 
    INTO &Environment.canned_comments(
        origsts, testgroupname,
        sorter, canned_comment,
        attachment_scope, printonreport,
        runflag, status,
        start_date, 
        expiration_date)
      VALUES(
        'N',  '&PanelName',
        '0', '&CannedComment',
        'External', 'Y',
        '0', 'Released',
        to_date(sysdate,'DD-MON-YY'), 
        to_date(add_months(sysdate,1200),'DD-MON-YY'))
*/  
  /*---------- ----------*/


  /*---------- ----------*/
  /*---------- ----------*/    



