
/*------------------------------------------------------------*/
/*-----Mirror_Resposiblity------------------------------------*/

  /*-----DESCRIPTION-----*/
    --This script can be utilized to make sure the TargetUser
    --is has the same responsiblity for panels as the identified
    --SourceUser in the specified Lab.
  /*----- -----*/  

  /*----------SL10 Environments----------*/
    --DEV:  sunrise_data
    --TEST: sundata_sat
    --PROD: sundata_prod
  /*----------  ----------*/

  /*-----HISTORY-----*/  
    --2014.06.12 JTY: Created Script.
  /*----- -----*/      


  /*-----Tables of Interest-----*/   
/*  
    SELECT * FROM sundata_prod.testgroup_users tgu;
    SELECT * FROM sundata_prod.conditiontesttriggers ctt;
    SELECT * FROM sundata_prod.users u;
*/    
  /*----- -----*/
  
/*------------------------------------------------------------*/




/*-----Grant Responsiblity to Identified User--------------------*/

  /*-----Notes-----*/
  /*----- -----*/  
  /*-----Review Source Environment Responsible-----*/
    SELECT DISTINCT
      u1.fullname,
      tgu.usrnam,
      ctt.dept,
      tgu.testgroupname,
      tgu.origsts,
      tgu.appr_level,
      tgu.appr_required
    FROM &Schema.testgroup_users tgu
      INNER JOIN &Schema.users u1 ON (tgu.usrnam = u1.usrnam)
      INNER JOIN &Schema.conditiontesttriggers ctt ON (tgu.testgroupname = ctt.testgroupname)
    WHERE 1=1
      AND ctt.dept = '&Department'
      AND tgu.usrnam IN ('KOLAKOA', 'GRIFFIE')
    ORDER BY 
      ctt.dept ASC,
      tgu.testgroupname ASC,
      u1.fullname ASC,
      tgu.usrnam ASC;
  /*----- -----*/      
  

  /*-----Migrate Responsible-----*/
/*  
    MERGE INTO &Schema.testgroup_users t1
    USING (
    SELECT DISTINCT
      u1.fullname,
      tgu.usrnam AS src_usrnam,
      '&TargetUser' AS tar_usrnam,
      ctt.dept,
      tgu.testgroupname,
      tgu.origsts,
      tgu.appr_level,
      tgu.appr_required
    FROM &Schema.testgroup_users tgu
      INNER JOIN &Schema.users u1 ON (tgu.usrnam = u1.usrnam)
      INNER JOIN &Schema.conditiontesttriggers ctt ON (tgu.testgroupname = ctt.testgroupname)
    WHERE 1=1
      AND u1.usrnam = '&SourceUser'    
      AND ctt.dept = '&Department'
    ) t2
    ON (1=1
      AND t1.usrnam = t2.tar_usrnam
      AND t1.testgroupname = t2.testgroupname
      AND t1.appr_level = t2.appr_level
      )
    WHEN NOT MATCHED THEN
      INSERT (
        t1.usrnam,
        t1.testgroupname,
        t1.origsts,
        t1.appr_level,
        t1.appr_required      
      )
      VALUES (
        t2.tar_usrnam,
        t2.testgroupname,
        t2.origsts,
        t2.appr_level,
        t2.appr_required      
      )
*/
  /*----- -----*/      
    
    
/*------------------------------------------------------------*/

/*------------------------------------------------------------*/
/*------------------------------------------------------------*/
