
-----Baseline SQL for samples-----
  SELECT DISTINCT
    cr.external_id,
    (rc.compname || ' (' || cr.rasclientid || ')') AS client,
    f.testgroupname,
    (ot.testno || ' (' || ot.testcode || ')') AS test_name,
    ot.apprdate,
    r.final,
    '~' AS eol
  FROM centralreceiving cr
    INNER JOIN folders f ON (cr.external_id = f.external_id)
    INNER JOIN metadata_repository mr ON (1=1
      AND mr.tablereference = 'CENTRALRECEIVING'
      AND mr.original_origrec = cr.origrec)
    INNER JOIN ordtask ot ON (f.folderno = ot.folderno)
    INNER JOIN results r ON (1=1
      AND ot.ordno = r.ordno
      AND ot.testcode = r.testcode)
    INNER JOIN rasclients rc ON (cr.rasclientid = rc.rasclientid)  
  WHERE 1=1
    AND cr.external_id = '&SampleID'
  ORDER BY
    cr.external_id ASC,
    test_name ASC,
    r.final ASC;
----- -----
