
/*-----PanelTests------------------------------------------------------------*/
  /*-----DESCRIPTION------*/
    --Queries used to get tests associated with panels in STARLiMS
  /*----- ------*/
  

  /*-----HISTORY------*/
    --2020.05.06 JTY: Created query
  /*----- ------*/

/*---------------------------------------------------------------------------*/



/*---------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------*/


/*-----01. Panel Tests-------------------------------------------------------*/
  SELECT
    ctt.dept,
    tgn.Testgroupname AS panel,
    t.testno,
    t.testcode,
    ctt.defaultselect,
    sp.active,
    '~' AS eol
  FROM testgroupnames tgn
    INNER JOIN conditiontesttriggers ctt ON (tgn.testgroupname = ctt.testgroupname)
    INNER JOIN tests t ON (ctt.testcode = t.testcode)
    INNER JOIN sp_tests sp ON (sp.testcode = t.testcode)
  WHERE 1=1
    AND tgn.status = 'Active'
    AND t.testcatcode <> 'Retired'
--    AND tgn.lrn_program = 'LRN-B'
    -- AND tgn.testgroupname LIKE ('Carbapenem%')
  ORDER BY
    ctt.dept ASC,
    panel ASC,
    ctt.defaultselect DESC,
    t.testno ASC;
/*---------------------------------------------------------------------------*/

