

/*-----Sample_SourceAndDescription-------------------------------------------*/
/*---------------------------------------------------------------------------*/
  /*-----DESCRIPTION-----*/
    --This script for identifying Sample Types for Receiving
  /*----- -----*/
  

  /*-----HISTORY-----*/
    --2020-04-21 JTY: Created Script
  /*----- -----*/
/*---------------------------------------------------------------------------*/

/*-----Specimen_Source-------------------------------------------------------*/

  SELECT 
    TRIM(specimen_source), 
    ss.snomedct,
    '~' AS eol
  FROM specimen_sources ss
  ORDER BY
    ss.specimen_source ASC;
/*---------------------------------------------------------------------------*/





/*---------------------------------------------------------------------------*/
/*-----Sample Description----------------------------------------------------*/
   SELECT
     TRIM (bsd.bs_name) AS sample_description
   FROM base_static_data bsd
     INNER JOIN metadata_repository mr ON (1=1
       AND bsd.origrec = mr.original_origrec
       AND mr.tablereference = 'BASE_STATIC_DATA')
   WHERE 1=1
     AND bsd.bs_type = 'Sample Descriptions'
     AND bsd.bs_status = 'Active'
     AND mr.field_varchar_01 = 'Clinical'
   ORDER BY
     sample_description ASC;
/*---------------------------------------------------------------------------*/


