

-----Rabies Accessioning Update-02-----------------------------------------
---------------------------------------------------------------------------

-----01. Migrate Age to new MetaDataField----------------------------------
  --Currently the animal age is being stored in [metadata_repository].[field_decimal_01]
  --we want to update this to store the age in the [metadata_repository].[field_integer_02]
  --field.
  
  ---01. Copy Existing Data---
    --For sample that have the [Rabies DFA] panel associated with them, we want to Copy any
    -- age data in field_decimal_01 into field_integer_02.
/*    
    MERGE INTO metadata_repository t1
    USING (
      SELECT DISTINCT
        cr.external_id,
        cr.origrec AS cr_origrec,
        mr.origrec AS mr_origrec,
        mr.field_decimal_01 AS age,
        TRUNC(mr.field_decimal_01) AS int_age,
        '~' AS eol
      FROM  centralreceiving cr
        INNER JOIN folders f ON (cr.external_id= f.external_id)
        INNER JOIN metadata_repository mr ON (1=1
          AND mr.tablereference = 'CENTRALRECEIVING'
          AND mr.original_origrec = cr.origrec)
      WHERE 1=1
        AND f.testgroupname = 'Rabies DFA'
        AND mr.field_decimal_01 IS NOT NULL
      ORDER BY
        cr.external_id ASC
        ) t2
    ON (t1.origrec = t2.mr_origrec)
    WHEN MATCHED THEN
      UPDATE SET t1.field_integer_02 = t2.int_age
*/      
  --- ---
  ---02. Update metadata_Template---
    --We will identify the template verion in the environemnt you are working in, update the status to
    --'Draft' of the template, Update the template, and re-release the template.
    
    --SELECT DISTINCT mfp.* FROM metadatafieldproperties mfp WHERE mfp.metadatamethodcode = '&TemplateCodeName'
    --UPDATE metadatafieldproperties mfp SET mfp.status = 'Draft' WHERE mfp.metadatamethodcode = '&TemplateCodeName'
  --- ---
  ---03. Cleanout old field (field_decimal_01)---
/*  
    MERGE INTO metadata_repository t1
    USING (
      SELECT DISTINCT
        cr.external_id,
        cr.origrec AS cr_origrec,
        mr.origrec AS mr_origrec,
        mr.field_decimal_01 AS age,
        TRUNC(mr.field_decimal_01) AS int_age,
        '~' AS eol
      FROM  centralreceiving cr
        INNER JOIN folders f ON (cr.external_id= f.external_id)
        INNER JOIN metadata_repository mr ON (1=1
          AND mr.tablereference = 'CENTRALRECEIVING'
          AND mr.original_origrec = cr.origrec)
      WHERE 1=1
        AND f.testgroupname = 'Rabies DFA'
        AND mr.field_decimal_01 IS NOT NULL
      ORDER BY
        cr.external_id ASC
        ) t2
    ON (t1.origrec = t2.mr_origrec)
    WHEN MATCHED THEN
      UPDATE SET t1.field_decimal_01 = NULL
*/      
  --- ---  
---------------------------------------------------------------------------

---------------------------------------------------------------------------
---------------------------------------------------------------------------
