

--SELECT * FROM phvs_value_sets pvs;
SELECT * FROM phvs_value_sets_details pvd;
SELECT * FROM states s;

SELECT
  pvd1.concept_name AS state,
  s.state_code AS state_abbr,
  pvd1.concept_code AS state_concept_code,
  pvd2.concept_name AS county,
  pvd2.concept_code AS county_concept_code,
  '~' AS eol
FROM phvs_value_sets pvs
  INNER JOIN phvs_value_sets_details pvd1 ON (pvs.value_set_code = pvd1.value_set_code)
  INNER JOIN states s ON (pvd1.concept_name = s.name)  
  INNER JOIN phvs_value_sets_details pvd2 ON (pvd2.display_name LIKE('%' || ',' || s.state_code))
WHERE 1=1
  AND pvs.value_set_name = 'State'
  AND s.state_code = 'AZ'
  
UNION

SELECT
  pvd1.concept_name AS state,
  s.state_code AS state_abbr,
  pvd1.concept_code AS state_concept_code,
  'Unknown' AS county,
  '01000' AS county_concept_code,
  '~' AS eol
FROM phvs_value_sets_details  pvd1
  INNER JOIN states s ON (pvd1.concept_name = s.name)  
WHERE 1=1
  AND s.state_code = 'AZ'
  
UNION

SELECT
  pvd1.concept_name AS state,
  s.state_code AS state_abbr,
  pvd1.concept_code AS state_concept_code,
  'Out of State' AS county,
  '00000' AS county_concept_code,
  '~' AS eol
FROM phvs_value_sets_details  pvd1
  INNER JOIN states s ON (pvd1.concept_name = s.name)  
WHERE 1=1
  AND s.state_code = 'AZ'

ORDER BY
  state ASC,
  state_abbr ASC,
  county_concept_code ASC
  
