-- Create table
create table HL7_GENERATOR_POOL
(
  origrec      NUMBER(22) not null,
  origsts      CHAR(1 CHAR) default 'N' not null,
  folderno     VARCHAR2(40 CHAR) not null,
  comments     VARCHAR2(1024 CHAR),
  usrnam       VARCHAR2(15 CHAR) not null,
  last_updated CHAR(17 CHAR) not null,
  interface_id VARCHAR2(50 CHAR) not null,
  external_id  VARCHAR2(30 CHAR) not null,
  workflowstep VARCHAR2(100 CHAR) not null
)
tablespace DRAGONFLY
  pctfree 10
  initrans 1
  maxtrans 255;
-- Create/Recreate primary, unique and foreign key constraints 
alter table HL7_GENERATOR_POOL
  add constraint HL7_GENERATOR_POOL primary key (FOLDERNO)
  using index 
  tablespace DRAGONFLY
  pctfree 10
  initrans 2
  maxtrans 255;
alter table HL7_GENERATOR_POOL
  add constraint FK_HL7_GENERATOR_POO_FOLDERS02 foreign key (FOLDERNO)
  references FOLDERS (FOLDERNO);
alter table HL7_GENERATOR_POOL
  add constraint FK_HL7_GENERATOR__INTERFACES01 foreign key (INTERFACE_ID)
  references INTERFACES (INTERFACE_ID);
alter table HL7_GENERATOR_POOL
  add constraint FK_HL7_GENERATO_CENTRALRECEI03 foreign key (EXTERNAL_ID)
  references CENTRALRECEIVING (EXTERNAL_ID);
