

/*---------------------------------------------------------------------------*/
/*-----Client Setup for PHX-CL-----------------------------------------------*/
  --Inforamtion Needed:
    --1. Contact Name, Phone, Email
    --2. Delivery Prefernce (Fax/Email)
    --3. Delivery address
    
  SELECT
    (rc.compname || ' (' || rc.rasclientid || ')') AS client_name,
    rcx.submit_method,  
    COALESCE( rcx.fax,rcx.email) AS submit_address,
    rcx.fullname,
    mr.field_varchar_l_41 AS additional_notes,
    rcx.email,
    rc.primaryphone,
    '~' AS eol
  FROM rasclients rc
    INNER JOIN rasclientcontactsext rcx ON (rc.rasclientid = rcx.rasclientid)
    INNER JOIN metadata_repository mr ON (1=1
      AND mr.tablereference = 'RASCLIENTS'
      AND mr.original_origrec = rc.origrec)
  WHERE 1=1
  --and rc.rasclientid = 'PHX-CL'
    AND rc.rasclientid IN ('ASL-P', 'CCME','LPCME', 'MCMEO', 'PHX-CL', 'PCMEC', 'PLCMEO', 'YCME-PV', 'YCMEO', 'MCME')
    AND rcx.sendcoa = 'Y'
    AND rcx.auto_add = 'Y'
    
  ORDER BY
    client_name ASC,
    rcx.fullname ASC
  
/*---------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------*/
  
  
