
/*-----Metadata Fields Review------------------------------------------------*/
/*---------------------------------------------------------------------------*/


/*------Reivew samples that are using owner fields---------------------------*/
  --Need to determine where these are beeing inserted.
  --LOOKS TO ME WE ACN USE OWNER FIELD INFORMATION.
  SELECT DISTINCT
    cr.external_id,
    cr.date_received,
    f.dept,
    f.matcode,
    f.testgroupname,
    cr.external_pid2,
    cr.owner_address,
    cr.owner_city,
    cr.owner_country,
    cr.owner_county,
    cr.owner_state,
    cr.owner_zip,

    '~' AS eol
  FROM centralreceiving cr
    INNER JOIN folders f ON (cr.external_id = f.external_id)
  WHERE 1=1
    AND cr.external_pid2 NOT LIKE ('MEDSIS%')
--    AND f.matcode NOT IN ('Animal', 'LRN-B')
    AND (
     cr.owner_address IS NOT NULL OR
cr.external_id IS NOT NULL OR
     cr.owner_city IS NOT NULL OR
     cr.owner_country IS NOT NULL OR
     cr.owner_county IS NOT NULL OR
     cr.owner_state IS NOT NULL
  --    OR cr.owner_zip IS NOT NULL
    )
--    AND f.testgroupname IN (
--    'Coronavirus',
--    'PFGE - E. coli O157', 
--    'Salmonella Culture',
--    'Clinical Virology',
--    'AFB Clinical'
--    )  
  ORDER BY
    cr.external_id DESC;
      
  /*  
  select * from folders 
  select * from centralreceiving
  */
  

  SELECT * FROM centralreceiving cr WHERE cr.external_id = 'AZ00025083'
/*---------------------------------------------------------------------------*/

/*-----Identify what fieldd are avaliable------------------------------------*/
  SELECT * FROM metadata_repository mr
  WHERE 1=1
   AND ( 1=2
     OR mr.field_varchar_200 IS NOT NULL
--     OR mr.field_varchar_201 IS NOT NULL
     OR mr.field_varchar_202 IS NOT NULL
     OR mr.field_varchar_203 IS NOT NULL
     OR mr.field_varchar_204 IS NOT NULL
--     OR mr.field_varchar_205 IS NOT NULL
     OR mr.field_varchar_206 IS NOT NULL
     OR mr.field_varchar_207 IS NOT NULL
     OR mr.field_varchar_208 IS NOT NULL
     OR mr.field_varchar_209 IS NOT NULL
     OR mr.field_varchar_210 IS NOT NULL
     OR mr.field_varchar_211 IS NOT NULL
     OR mr.field_varchar_212 IS NOT NULL
     OR mr.field_varchar_213 IS NOT NULL
     OR mr.field_varchar_214 IS NOT NULL
     OR mr.field_varchar_215 IS NOT NULL
     OR mr.field_varchar_216 IS NOT NULL
     OR mr.field_varchar_217 IS NOT NULL
     OR mr.field_varchar_218 IS NOT NULL
     OR mr.field_varchar_219 IS NOT NULL
     OR mr.field_varchar_220 IS NOT NULL
--     OR mr.field_varchar_221 IS NOT NULL
11     OR mr.field_varchar_222 IS NOT NULL
     OR mr.field_varchar_223 IS NOT NULL
     OR mr.field_varchar_224 IS NOT NULL
     OR mr.field_varchar_225 IS NOT NULL
     OR mr.field_varchar_226 IS NOT NULL
     OR mr.field_varchar_227 IS NOT NULL
     OR mr.field_varchar_228 IS NOT NULL
     OR mr.field_varchar_229 IS NOT NULL
     OR mr.field_varchar_230 IS NOT NULL
     OR mr.field_varchar_231 IS NOT NULL
     OR mr.field_varchar_232 IS NOT NULL
     OR mr.field_varchar_233 IS NOT NULL
     OR mr.field_varchar_234 IS NOT NULL
     OR mr.field_varchar_235 IS NOT NULL
     OR mr.field_varchar_236 IS NOT NULL
     OR mr.field_varchar_237 IS NOT NULL
     OR mr.field_varchar_238 IS NOT NULL
     OR mr.field_varchar_239 IS NOT NULL
     OR mr.field_varchar_240 IS NOT NULL
     OR mr.field_varchar_241 IS NOT NULL
     OR mr.field_varchar_242 IS NOT NULL
     OR mr.field_varchar_243 IS NOT NULL
     OR mr.field_varchar_244 IS NOT NULL
     OR mr.field_varchar_245 IS NOT NULL
     OR mr.field_varchar_246 IS NOT NULL
     OR mr.field_varchar_247 IS NOT NULL
     OR mr.field_varchar_248 IS NOT NULL
     OR mr.field_varchar_249 IS NOT NULL
     OR mr.field_varchar_250 IS NOT NULL 
--     OR mr.field_varchar_l_41 IS NOT NULL
     OR mr.field_varchar_l_42 IS NOT NULL
     OR mr.field_varchar_l_43 IS NOT NULL
     OR mr.field_varchar_l_44 IS NOT NULL
     OR mr.field_varchar_l_45 IS NOT NULL
   )
/*---------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------*/
/*-----Identify what fields are being used in CentralReceving----------------*/

--SELECT cr.* FROM centralreceiving cr

SELECT cr.external_id,
  cr.rasclientid,
  f.testgroupname,
  cr.owner_address,
  cr.owner_city,
  cr.owner_country,
  cr.owner_county,
  cr.owner_state,
  cr.owner_zip
FROM centralreceiving cr
  INNER JOIN folders f ON (cr.external_id = f.external_id)
WHERE 1=1
  AND f.testgroupname IN ('Coronavirus', 'Influenza', 'Mumps PCR', 'Arbovirus Serology', 'Carbapenem Resistance Testing')
  AND (1=2
    OR cr.owner_address IS NOT NULL
    OR cr.owner_city IS NOT NULL
    OR cr.owner_country IS NOT NULL
    OR cr.owner_county IS NOT NULL
    OR cr.owner_state IS NOT NULL
--    OR cr.owner_zip IS NOT NULL
  )
ORDER BY  
cr.external_id DESC,
cr.rasclientid ASC;
/*---------------------------------------------------------------------------*/


/*-----City/ZIP/County research----------------------------------------------*/

SELECT * FROM counties c;
SELECT * FROM city ci;
SELECT * FROM regions r;
SELECT * FROM zip_codes zc;


SELECT DISTINCT
  s.name,
  co.county,
  ci.city,
  zc.zip,
  '~' AS eol
FROM states s
  INNER JOIN counties co ON (s.state_code = co.state_code)  
  INNER JOIN city ci ON (s.state_code = ci.state_code)
  INNER JOIN zip_codes zc ON (1=1
    AND s.state_code = zc.state_code
    AND ci.city_code = zc.city_code)
WHERE 1=1
  AND zc.zip = '85001'
/*---------------------------------------------------------------------------*/


/*-----Questions-------------------------------------------------------------*/
  SELECT
    tgq.*
  FROM testgroupquestions tgq
  WHERE 1=1
    ORDER BY
  tgq.Questionformid ASC,
  tgq.tgquestionid ASC,
  tgq.Questioncaption ASC;
  
  
  SELECT
    crq.testgroupname,
    crq.external_id,
    crq.tgquestionid,
    crq.questioncaption,
    crq.response,
    '~' AS EOL
  FROM centralrecvquestions crq
  WHERE 1=1
  ORDER BY
    crq.testgroupname ASC,
    crq.external_id DESC,
    crq.tgquestionid ASC;
    
    
SELECT * FROM testgroupquestions tgq
/*---------------------------------------------------------------------------*/

  
