
/*-----2. QBE Query Scripts----------------------------------------*/  

  /*-----Review QBE Querie Fields-----*/
    SELECT DISTINCT
      qbe.qbetemplateid,
      qbe.name AS template_name,
      daf.sorter,
      ('[' || daf.table_name || '].[' || daf.field_name || ']') AS table_field,
      daf.field_alias,
      '~' AS eol
    FROM qbetemplates qbe
      INNER JOIN qbedatafields daf ON (qbe.qbetemplateid = daf.qbetemplateid)
    WHERE 1=1
      AND qbe.qbetemplateid = '&TemplateID'
    ORDER BY
      qbe.qbetemplateid ASC,
      daf.sorter ASC;
  /*----- -----*/  

  /*-----Update Sorter Order-----*/

    UPDATE qbedatafields daf SET daf.sorter = '1'     
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = 'External ID';
    UPDATE qbedatafields daf SET daf.sorter = '2' 
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = 'Date Collected';
    UPDATE qbedatafields daf SET daf.sorter = '3' 
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = 'Date Received';
    UPDATE qbedatafields daf SET daf.sorter = '4' 
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = 'Test Name';
    UPDATE qbedatafields daf SET daf.sorter = '5' 
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = 'Analyte';
    UPDATE qbedatafields daf SET daf.sorter = '6' 
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = 'Final Result';
    UPDATE qbedatafields daf SET daf.sorter = '7' 
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = 'Result Entered';
    UPDATE qbedatafields daf SET daf.sorter = '8' 
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = 'Panel Approved';
    UPDATE qbedatafields daf SET daf.sorter = '9' 
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = 'Birth Date';
    UPDATE qbedatafields daf SET daf.sorter = '10' 
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = 'First Name';
    UPDATE qbedatafields daf SET daf.sorter = '15' 
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = 'Last Name';
    UPDATE qbedatafields daf SET daf.sorter = '16' 
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = 'Client ID';
    UPDATE qbedatafields daf SET daf.sorter = '17' 
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = 'Source of Specimen';
    UPDATE qbedatafields daf SET daf.sorter = '18' 
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = 'Panel Name';
    UPDATE qbedatafields daf SET daf.sorter = '19' 
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = 'Activity Type';
    UPDATE qbedatafields daf SET daf.sorter = '20' 
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = '';
    UPDATE qbedatafields daf SET daf.sorter = '21' 
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = '';
    UPDATE qbedatafields daf SET daf.sorter = '22' 
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = '';
    UPDATE qbedatafields daf SET daf.sorter = '23' 
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = '';
    UPDATE qbedatafields daf SET daf.sorter = '24' 
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = '';
    UPDATE qbedatafields daf SET daf.sorter = '25' 
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = '';
    UPDATE qbedatafields daf SET daf.sorter = '30' 
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = '';
    UPDATE qbedatafields daf SET daf.sorter = '31' 
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = '';
    UPDATE qbedatafields daf SET daf.sorter = '32' 
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = '';
    UPDATE qbedatafields daf SET daf.sorter = '33' 
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = '';
    UPDATE qbedatafields daf SET daf.sorter = '34' 
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = '';
    UPDATE qbedatafields daf SET daf.sorter = '35'
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = '';
    UPDATE qbedatafields daf SET daf.sorter = '36'
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = '';
    UPDATE qbedatafields daf SET daf.sorter = '37'
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = '';
    UPDATE qbedatafields daf SET daf.sorter = '38'
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = '';
    UPDATE qbedatafields daf SET daf.sorter = '39'
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = '';
    UPDATE qbedatafields daf SET daf.sorter = '40'
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = '';
    UPDATE qbedatafields daf SET daf.sorter = '46'
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = '';
    UPDATE qbedatafields daf SET daf.sorter = '47'
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = '';
    UPDATE qbedatafields daf SET daf.sorter = '48'
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = '';
    UPDATE qbedatafields daf SET daf.sorter = '49'
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = '';
    UPDATE qbedatafields daf SET daf.sorter = '50'
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = '';
    UPDATE qbedatafields daf SET daf.sorter = '51'
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = '';
    UPDATE qbedatafields daf SET daf.sorter = '52'
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = '';
    UPDATE qbedatafields daf SET daf.sorter = '53'
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = '';
    UPDATE qbedatafields daf SET daf.sorter = '54'
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = '';
    UPDATE qbedatafields daf SET daf.sorter = '55'
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = '';
    UPDATE qbedatafields daf SET daf.sorter = '60'
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = '';
    UPDATE qbedatafields daf SET daf.sorter = '61'
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = '';
    UPDATE qbedatafields daf SET daf.sorter = '62'
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = '';
    UPDATE qbedatafields daf SET daf.sorter = '63'
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = '';
    UPDATE qbedatafields daf SET daf.sorter = '64'
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = '';
    UPDATE qbedatafields daf SET daf.sorter = '65'
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = '';
    UPDATE qbedatafields daf SET daf.sorter = '66'
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = '';
    UPDATE qbedatafields daf SET daf.sorter = '67'
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = '';
    UPDATE qbedatafields daf SET daf.sorter = '68'
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = '';
    UPDATE qbedatafields daf SET daf.sorter = '69'
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = '';
    UPDATE qbedatafields daf SET daf.sorter = '70'
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = '';
    UPDATE qbedatafields daf SET daf.sorter = '75'
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = '';
    UPDATE qbedatafields daf SET daf.sorter = '76'
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = '';
    UPDATE qbedatafields daf SET daf.sorter = '77'
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = '';
    UPDATE qbedatafields daf SET daf.sorter = '78'
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = '';
    UPDATE qbedatafields daf SET daf.sorter = '79'
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = '';
    UPDATE qbedatafields daf SET daf.sorter = '80'
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = '';
    UPDATE qbedatafields daf SET daf.sorter = '81'
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = '';
    UPDATE qbedatafields daf SET daf.sorter = '82'
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = '';
    UPDATE qbedatafields daf SET daf.sorter = '83'
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = '';
    UPDATE qbedatafields daf SET daf.sorter = '84'
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = '';
    UPDATE qbedatafields daf SET daf.sorter = '85'
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = '';
    UPDATE qbedatafields daf SET daf.sorter = '90'
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = '';
    UPDATE qbedatafields daf SET daf.sorter = '91'
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = '';
    UPDATE qbedatafields daf SET daf.sorter = '92'
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = '';
    UPDATE qbedatafields daf SET daf.sorter = '93'
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = '';
    UPDATE qbedatafields daf SET daf.sorter = '94'
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = '';
    UPDATE qbedatafields daf SET daf.sorter = '95'
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = '';
    UPDATE qbedatafields daf SET daf.sorter = '96'
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = '';
/*      
    UPDATE qbedatafields daf SET daf.sorter = '97'
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = '';
    UPDATE qbedatafields daf SET daf.sorter = '98'
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = '';
    UPDATE qbedatafields daf SET daf.sorter = '99'
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = '';
    UPDATE qbedatafields daf SET daf.sorter = '100'
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = '';
    UPDATE qbedatafields daf SET daf.sorter = 'xx'
      WHERE daf.qbetemplateid = '&TemplateID'  AND daf.field_alias = '';
*/   
  /*----- -----*/  
   
/*-----------------------------------------------------------------*/  
