/*----------------------------------------------------------------------*/
/*----Reporting Rules Queries-------------------------------------------*/
  ----DESCRIPTION----
  --Queries associated with the Reporting Rules application
  ---- ----
  
  ----HISTORY----
    --2021.08.18 JTY: Created Script
  ---- ----
/*----------------------------------------------------------------------*/


/*----------------------------------------------------------------------*/
/*-----01. Panels and Reports-------------------------------------------*/
  --Identify what reports are assigned to each of the panels.

    SELECT distinct
      rr.rulename,
      rrl.caption,
      rrr.reportname,
      '~' AS eol
    FROM  rr_reportingrules rr
      INNER JOIN rr_reportingrulereports rrr ON (1=1
        AND rr.ruleid = rrr.ruleid
        AND rr.entitytypeid = rrr.entitytypeid)
      INNER JOIN rr_reportingruleslevels rrl ON (1=1
        AND rr.ruleid = rrl.ruleid
        AND rrr.ruleselectionid = rrl.ruleselectionid)
    WHERE 1=1
    ORDER BY
      rr.rulename ASC,
      rrl.caption ASC,
      rrr.reportname ASC;
      
/*----------------------------------------------------------------------*/
