

  
-----Update Tests WarningInterval and Units-----
  --Update all active test and set the WarningInterval and units equal to the 
  --HoldingTime and HodingUnits - 1 day for all non-retired tests
  MERGE INTO tests t1
  USING (
    SELECT
      t.origrec,
      t.testno,
      t.testcode,
      (t.holdingtime-1) AS new_holdtime,
      (t.holdingindays-1) AS new_holddays,
      t.warninginterval,
      t.warningintervalunits,
      t.warningintindays,
      t.holdingtime,
      t.holdingtimeunits,
      t.holdingindays,
      '~' AS EOL
     FROM tests t
    WHERE 1=1
      AND t.testcatcode <> 'Retired'
      AND t.holdingtime IS NOT NULL
    ORDER BY
      t.testno ASC
  ) t2
  ON (1=1
    AND t1.origrec = t2.origrec
    AND t1.testcode = t2.testcode 
  )    
  WHEN MATCHED THEN
    UPDATE SET
      t1.warninginterval = t2.new_holdtime,
      t1.warningintervalunits = t2.holdingtimeunits,
      t1.warningintindays = t2.new_holddays
      ;
----- -----
  
  
