--SELECT * FROM conditiontesttriggers ctt order by ctt.testgroupname ASC

/*-----Panels and Tests------------------------------------------------------*/
--This query will provide a list of active panels and associated tests


  SELECT DISTINCT
    ctt.dept,
    tgn.testgroupname AS panel,
     (t.testno || ' (' || t.testcode || ')') AS test_name,
     ctt.defaultselect AS auto_add,
     t.testflag,
    '~' AS eol
  FROM testgroupnames tgn
    INNER JOIN conditiontesttriggers ctt ON (tgn.testgroupname = ctt.testgroupname)
    INNER JOIN tests t ON (ctt.testcode = t.testcode)
    INNER JOIN sp_tests spt ON (t.testcode = spt.testcode)
  WHERE 1=1 
    AND tgn.status = 'Active'
    AND spt.active = 'A'
  ORDER BY
    ctt.dept ASC,
    panel ASC,
    test_name ASC;

/*---------------------------------------------------------------------------*/



/*-----Retired Test----------------------------------------------------------*/
  SELECT DISTINCT
     (t.testno || ' (' || t.testcode || ')') AS test_name,
     t.testflag,
    '~' AS eol
  FROM tests t
    INNER JOIN sp_tests spt ON (t.testcode = spt.testcode)
  WHERE 1=1 
    AND spt.active <> 'A'
  ORDER BY
    test_name ASC;
/*---------------------------------------------------------------------------*/
