--Trying to determine how to order each of the parts of segments when order is not provided.

/*
SELECT 
  HL7_FIELD_NAME, 
  STARLIMS_COLUMN, 
  COMPOSITE, 
  DEFAULT_VALUE, 
  CALCNAME 
FROM HL7_FIELDMAP
WHERE 1=1
  AND HEADER_NAME='ORU_R01 2.5.1' 
  AND HL7_SEGMENT='SPM' 
  AND STARLIMS_TABLE='CENTRALRECEIVING'
*/

SELECT 
  h.origrec,
  h.HL7_FIELD_NAME, 
  h.STARLIMS_COLUMN, 
  h.COMPOSITE, 
  h.DEFAULT_VALUE, 
  h.CALCNAME
FROM HL7_FIELDMAP h
WHERE 1=1
  AND h.HEADER_NAME='ORU_R01 2.5.1' 
  AND h.HL7_SEGMENT IN ('MSH','SFT','PID', 'NK1', 'ORC', 'SPM')
--  AND h.HL7_SEGMENT='SPM' 
  AND h.STARLIMS_TABLE='CENTRALRECEIVING'
ORDER BY 
  h.hl7_segment ASC
--  h.origrec ASC
  
