


 
  SELECT DISTINCT
    u.usrnam,
    u.fullname,
    u.designerrole,
    u.methoddeveloper,
    r.role,
    u.status,
    '~' AS eol
  FROM users u
    INNER JOIN Userroles ur ON (u.usrnam = ur.usrnam)
    INNER JOIN Roles r ON (ur.treeauth = r.treeauth)
  WHERE 1=1
    AND u.deptlist = 'External'
    AND u.status <> 'Retired'
--    AND u.usrnam IN ('E_MOOREJ', 'YODERJ')
  ORDER BY
    u.fullname ASC,
    u.status ASC,
    r.role ASC,
    u.fullname ASC
 



MERGE INTO users t1
USING (
  SELECT DISTINCT
    u.usrnam
  FROM users u
  WHERE 1=1
    AND u.deptlist = 'External'
    AND u.status <> 'Retired'
) t2
ON (t1.usrnam=t2.usrnam)
WHEN MATCHED THEN
  UPDATE SET 
    t1.designerrole = '''''', 
    t1.methoddeveloper = 'Y'
