SELECT DISTINCT
  f.dept,
  oq.folderno,
  f.approvedby,
  f.apprdate,
  f.apprtime,
  oq.status,
  oq.date_created,

  '~' AS eol
  
FROM orion_queue oq
  INNER JOIN folders f ON (oq.folderno = f.folderno)
WHERE 1=1
  AND oq.date_created IS NOT NULL
  AND oq.status = 'ERROR'
ORDER BY oq.date_created DESC
