SELECT distinct
  cr.external_id,
  ot.testno,
  cr.patient_id AS adhs_pid,
  cr.pid AS submitter_pid,
  cr.date_collected, --OBR 7
  r.approvedate AS run_apprdate,
  f.apprdate AS folder_apprdate,  --OBR 22
  '~' AS eol
FROM centralreceiving cr
  INNER JOIN folders f ON (cr.external_id = f.external_id)
  INNER JOIN ordtask ot ON (f.folderno = ot.folderno)
  INNER JOIN runs r ON (ot.runno = r.runno)
WHERE 1=1
  AND ot.testcode IN ('21', '516')
  AND f.apprdate BETWEEN to_date('01-JAN-2021', 'DD-MON-YYYY') AND to_date('10-AUG-2021', 'DD-MON-YYYY')
ORDER BY
  cr.date_collected ASC,
  cr.external_id ASC  
