
/*-----SL09_Scripts_SendOutPreliminaryReport-----------------------*/
  /*-----DESCRIPTION-----*/
    --Scripts provided here may help in enabling the user to 
    --generate a Preliminary Report for a sample containing 
    --a Sendout.  Please Note you will need to re-generate the 
    --Original report through the menus:
    -- | Edit Folder | Edit Results | Folder Attachements | -> [Generate Original Report]
    --After scripts have been executed.
  /*-----  -----*/

  /*-----HISTORY-----*/
    --2013.05.01 JTY: Created Script
  /*-----  -----*/  


/*-----View Sample Information-----*/
  SELECT DISTINCT
    ot.origrec, 
    ot.ts, 
    ot.tsadisp, 
    ot.tsa 
  FROM ordtask ot 
  WHERE 1=1 
    AND ot.dept = 'CDC' 
    AND ot.folderno IN ('PI13107027')
  ORDER BY
    ot.folderno ASC
/*-----  -----*/

/*-----Update Database table values-----*/
  UPDATE ordtask ot 
  SET 
    ot.ts = 'Logged', 
    ot.tsadisp = '', 
    ot.tsa = '' 
  WHERE 1=1
    AND ot.origrec IN ('711830')
/*-----  -----*/
/*-----------------------------------------------------------------*/
