
/*-----AppQueries_ReleaseByPanel----------------------------------------------*/

/*-----ReleaseByPanel--------------------------------------------------------*/
  --This SQL represents the SQL created for the Release By Panel application for
  --Final Reports
  Select distinct 
    fc.APPROVALSTATUS,fc.DISPAPPROVALSTATUS,fc.STATUS, fc.TESTGROUPNAME, fc.FOLDERNO, 
    fc.ORIGREC, f.NOTES, METADATAMETHODCODE, f.ORIGREC as FOLDERS_ORIGREC,f.APPR_LEVEL, 
    f.ATTACHMENT,  
    case 
      when f.ATTACHMENT = '*' then '|||RUNTIME_SUPPORT.GetImageById.lims?ImageId=C089D359-1B63-E442-8DD0-48B016443897'
    else
      ''
    end as ATT_ICON,
    tgs.SYNONIM, f.EXTERNAL_ID
  from  FOLDERCONDITION fc, FOLDERS f, TESTGROUP_USERS tgu, TESTGROUPSYNONIMS tgs
  where   1=1
  AND f.external_id IN (&SampleList)
    AND fc.FOLDERNO = f.FOLDERNO
  ---1255---  
    AND fc.STATUS in ('Done','OOS', 'Cancel')
  --- ---  
    AND fc.APPROVALSTATUS is NULL
    AND f.DEPT = '&Department' --PHX-SER
    AND tgu.TESTGROUPNAME = f.TESTGROUPNAME
    AND tgu.TESTGROUPNAME = tgs.TESTGROUPNAME
    AND tgs.NAMINGCONVENTION = f.NAMINGCONVENTION
    AND tgu.USRNAM = '&UserID'  --YODERJ
    AND tgu.USRNAM Not In (
        Select l.USRNAM from FLOWEVENTLOG l
        where 1=1
            AND l.FOLDERNO = f.FOLDERNO 
            and upper(l.EVENTTYPE) = 'RELEASE BY PANEL' 
            and l.SORTER is null 
            and l.APPR_LEVEL <> -1) 
            and f.APPR_LEVEL = tgu.APPR_LEVEL 
            and (fc.DISPAPPROVALSTATUS <> 'Released' or fc.DISPAPPROVALSTATUS is null) 

            and not exists (
                select ORIGREC 
                from CENTRALRECEIVING 
                where 1=1
                  AND EXTERNAL_ID like f.EXTERNAL_ID||'%' 
                  and (DATAENTRYSTATUS <> 'ReleaseDone' or DBDEStatus = 'Conflict')) 
                  and not exists (
                      select ORIGREC 
                      from ORDTASK o 
                      where 1=1
                        and(TSA <> 'Released' or TSA is null) 
                        and f.FOLDERNO = o.FOLDERNO)              
  Order by fc.FOLDERNO 

/*---------------------------------------------------------------------------*/
