
  
/*---------------------------------------------------------------------------*/
/*-----ResponsibleCleanup----------------------------------------------------*/

  /*-----DESCRIPTION-----*/
    --Script will remove any users from the Responsible list if they are 
    --not active.
  /*----- -----*/

  /*-----HISTORY-----*/
    --2016.02.16 JTY: Created Script
  /*----- -----*/

/*---------------------------------------------------------------------------*/




/*---------------------------------------------------------------------------*/

  /*-----Identify Records to be Cleaned-----*/
        SELECT DISTINCT
          u.fullname,
          u.usrnam,
          tu.testgroupname,
          tu.origrec,
          '~' AS EOL
        FROM &Environment.testgroup_users tu
          INNER JOIN &Environment.users u ON (tu.usrnam = u.usrnam)  
        WHERE 1=1
          AND u.status <> 'Active'
        ORDER BY
          u.fullname ASC,
          tu.testgroupname ASC;
  /*----- -----*/



  /*-----PERFORM CLEANUP-----*/
/*  
    DELETE FROM &Environment.testgroup_users tu
    WHERE 1=1
      AND tu.origrec IN(
        SELECT DISTINCT
          tu.origrec
        FROM &Environment.testgroup_users tu
          INNER JOIN &Environment.users u ON (tu.usrnam = u.usrnam)  
        WHERE 1=1
          AND u.status <> 'Active'
      )
*/      
  /*----- -----*/


/*---------------------------------------------------------------------------*/
