
/*------UserDefaultSettings--------------------------------------------------*/
  --Routine scripts to run to ensure user settings are set to default
  --values
/*---------------------------------------------------------------------------*/


/*---------------------------------------------------------------------------*/
  ---IdleTime---
    --Set default Idle Time to 20 minutes  
    UPDATE users u
    SET u.iddletime = '1200'
    WHERE 1=1
      AND u.iddletime IS NOT NULL;
  --- ---
  ---IdleActopm---
    --Exit Application if Idle over allowed time
    UPDATE users u
    SET u.idlespec = 'Exit'
    WHERE 1=1
      AND u.idlespec IS NOT NULL;
  --- ---
  
/*---------------------------------------------------------------------------*/

SELECT DISTINCT
  u.usrnam,
  u.dept,  
  u.status,
  u.idlespec,
  u.iddleaction,
  u.iddletime,
  '~' AS eol
FROM users u
WHERE 1=1
  AND u.status = 'Active'
ORDER BY
  u.status ASC,
  u.usrnam ASC
  
