

/*-----------------------------------------------------------------*/
/*-----CertificationDateFix----------------------------------------*/
  /*-----DESCRIPTION-----*/
    --Use this script to update the Analysts Certification expiration
    --date to the new date you provide.
  /*----- -----*/  

  /*-----ENVIRONMENTS-----*/
    --DEV:  sunrise_data
    --TEST: sundata_sat
    --PROD: sundata_prod  
  /*----- -----*/  

  /*-----HISTORY-----*/
    --2013.10.03 JTY: Created script
  /*----- -----*/  

  
/*-----------------------------------------------------------------*/


/*-----------------------------------------------------------------*/

  /*-----Review Certifications -----*/
    SELECT DISTINCT
      mc.origrec AS mc_origrec,
      mc.status,
      u.usrnam,
      u.fullname,
      (t.testcode || ': ' || t.testno ) AS TheTest, 
      mc.certdate,
      mc.expdate,
      mc.certcomment,
      t.testno,
      '~' AS eol
    FROM &Environment.methodcert mc
      INNER JOIN &Environment.tests t ON (mc.testcode = t.testcode)
      INNER JOIN &Environment.users u ON (mc.usrnam = u.usrnam)
    WHERE 1=1
---User ID Here--    
      AND u.usrnam = '&UserID'
--      AND mc.origrec = '39912'
--      
    ORDER BY
      u.usrnam ASC,
      t.testno ASC,
      mc.expdate DESC;
  /*----- -----*/  

  /*-----Update Cerification Expire Date -----*/
/*  
    UPDATE &Environment.methodcert mc
    SET 
      mc.expdate = TO_DATE('12-MAR-2018', 'DD-MON-YYYY'),
      mc.status = 'Certified'
    WHERE 1=1
      AND mc.origrec = '39912'
*/      
  /*----- -----*/    
/*-----------------------------------------------------------------*/

