
/*---------------------------------------------------------------------------*/
/*-----EquipmentFix----------------------------------------------------------*/
  -----DESCRIPTION-----
    --Scripts related to equipment and maintenance
  ----- -----

  -----HISTORY-----
    --2015.01.26 JTY: Created Script
  ----- -----
  
  -----Components-----
    --1. Maintenance
  ----- -----
/*---------------------------------------------------------------------------*/

/*-----Maintenance-----------------------------------------------------------*/
  -----Review Maintenance for equipment-----
/*  
    SELECT DISTINCT
      eq.dept,
      eq.eqtype,
      eq.eqid,
      em.maintenanceevent,
      m.origrec AS m_origrec,
      m.maintdate,
      --m.opendata,
      m.openedby,
      m.openreason,
      m.remarks,
      m.status,
      '~' AS eol
      FROM &Environment.equipment eq
        LEFT OUTER JOIN &Environment.equipment_type ey ON (eq.eqtype = ey.eqtype)
        LEFT OUTER JOIN &Environment.equipmaintenanceevent em ON (ey.eqtype = em.eqtype)
        LEFT OUTER JOIN &Environment.maintenance m ON (eq.eqid = m.eqid AND em.maintenanceevent = m.maintenanceevent)
    WHERE 1=1
      AND eq.eqid = '&EquipimentID'
      AND m.maintdate IS NOT NULL
    ORDER BY
      eq.dept ASC,
      eq.eqtype ASC,
      eq.eqid ASC,
      m.maintdate DESC,
      em.maintenanceevent ASC;
*/      
  ----- -----

  -----Delete Maintenance Record-----
/*  
    DELETE
    FROM  &Environment.maintenance m 
    WHERE 1=1
      AND m.origrec = '70144'
*/      
  ----- -----
  
/*---------------------------------------------------------------------------*/
