/*=====ShouldBeInReleaseByPanelFix==================================*/
  -----DESCRIPTION-----
    --This set of queries can be used to move a sample into the 
    --Release By Panel application when it appears to have
    --lost it's way and is expected the the Release By Panel application
    
  -----
  -----HISTORY-----
    --2013.12.02 JTY: Created Scripts
  -----
/*=================================================================*/


/*-----------------------------------------------------------------*/
  /*-----Review Sample in question-----*/
    --Particular atention needs to be paid to the [folders].fldsts
    --and [FolderCondition].status columns.  These columns should
    --have a value like 'Done' to be in the Release By Panel screen.
    
    SELECT DISTINCT                  -->Expected Values
      f.external_id,      
      f.fldsts AS f_fldsts,                      -->Done
      f.origrec AS f_origrec,
      '~' AS SP1,
      fc.folderno,
      fc.origrec AS fe_origrec,
      --fc.dispsts,                 -->Draft
      fc.approvalstatus AS fc_approvalstatus,            -->NULL
      fc.dispapprovalstatus,        -->NULL
      fc.status AS fc_status,                    -->Done
      fc.approvedby,                -->NULL
      fc.approveddate,              --NULL
      '~' AS SP2,
      ot.testno,
      r.runno,
      re.final,
      r.runstatus,                  -->Done
      r.approvedate,                -->(DateValue)
      r.approvedby,                 -->(UserID)
      r.approvalstatus,             -->Released
      '~' AS SP1,
      ot.apprdate,
      ot.apprvedby,
      ot.ts,                        -->Done
      ot.tsa,                       -->Released
      ot.tsadisp,                   -->Released
      '~' AS eol
    FROM  &Environment.Folders f
      INNER JOIN &Environment.foldercondition fc ON (f.folderno = fc.folderno)
      INNER JOIN &Environment.Ordtask ot ON (f.folderno = ot.folderno)
      INNER JOIN &Environment.Runs r ON (ot.runno = r.runno)
      INNER JOIN &Environment.Results re ON (re.ordno = ot.ordno)
    WHERE 1=1
      AND F.EXTERNAL_ID IN (&SampleList)
    ORDER BY
      f.external_id ASC;
    ;
    --  AND r.runno = '3001'    
  /*----- -----*/
  
  
  /*-----Update SQL-----*/
/*  
    UPDATE &Environment.folders f SET f.fldsts = 'Done' WHERE f.external_id = '&SampleID'
    UPDATE &Environment.foldercondition fc SET fc.status = 'Done' WHERE fc.folderno = '&FolderNo'
*/  
  /*----- -----*/

  /*-----Revert Back to Original Values-----*/
/*  
    UPDATE folders f set f.fldsts = 'Active',  WHERE f.external_id = '&SampleID'
    UPDATE foldercondition fc SET fc.status = 'Active' WHERE fc.folderno = '&FolderNo'  
*/    
  /*----- -----*/
        
/*-----------------------------------------------------------------*/




