/*-IdReportsToRegenerate-------------------------------------------*/
/*-----Get Origrec for samples to regenerate report----------------*/
  --This query will take the sample of interest and return the 
  --FolderCondition origrec number.  this number can then be passed
  --into the ADHS_RegenerateReports Server Srcript to regenerate the
  --report.


SELECT DISTINCT
  f.external_id,
  fc.origrec
FROM sundata_prod.folders f
  INNER JOIN sundata_prod.foldercondition fc ON (f.folderno = fc.folderno)
WHERE 1=1
  AND f.external_id IN (
      'AZ00004992','AZ00004993','AZ00004999',
      'AZ00005000','AZ00005004','AZ00005007',
      'AZ00005009','AZ00005011','AZ00005012',
      'AZ00005013','AZ00005014','AZ00005015',
      'AZ00005016','AZ00005017','AZ00005018',
      'AZ00005019','AZ00005020','AZ00005023',
      'AZ00005026','AZ00005028','AZ00005029',
      'AZ00005030','AZ00005034','AZ00005035',
      'AZ00005036','AZ00005037','AZ00005038',
      'AZ00005042','AZ00005053','AZ00005056',
      'AZ00005072','AZ00005104','AZ00005110',
      'AZ00005111','AZ00005140','AZ00005109')
ORDER BY f.external_id ASC
/*-----------------------------------------------------------------*/
