

/*-----Influenza Data Check----------------------------------------*/
  /*-----Description-----*/
    --Use this set of queries for inspection of Influenza samples 
    --for PHLIP / ELR troubleshooting.
  /*-----  -----*/

  /*-----History-----*/
    --2014.12.04 JTY: Created Query
  /*-----  -----*/

/*-----------------------------------------------------------------*/



/*-----------------------------------------------------------------*/


/*-----Primary Script-----*/
--NOTE: THIS QUERY SEEMS TO BE MISSING SOME SAMPLES.. USE THE NEXT QUERY
/*
  SELECT DISTINCT
    cr.external_id,
    (t.testcode || ' - ' || t.testno) AS test_name,
    ot.ts,
    (to_char(fel.eventdate,'MM-DD-YYYY') || '  ' || fel.eventtime) AS HL7_TimeStamp,
    fc.status AS sample_status,
    fc.approveddate AS sample_approved,
    r.final,
    Trunc(ot.apprdate) AS test_approved,
    fel.thecomment AS HL7_Comment,
    t.testno,
    '~' AS eol
  FROM sundata_prod.centralreceiving cr
    INNER JOIN sundata_prod.folders f ON (cr.external_id = f.external_id)
    INNER JOIN sundata_prod.foldercondition fc ON (f.folderno = fc.folderno)
    INNER JOIN sundata_prod.ordtask ot ON (f.folderno = ot.folderno)
    INNER JOIN sundata_prod.tests t ON (ot.testcode = t.testcode)
    INNER JOIN sundata_prod.results r ON (1=1
      AND ot.folderno = r.folderno
      AND ot.testcode = r.testcode)
    LEFT OUTER JOIN sundata_prod.floweventlog fel ON (
        f.external_id = fel.external_id 
        OR f.folderno = fel.folderno)
  WHERE 1=1
    AND t.testcode IN (1)
    AND ot.apprdate IS NOT NULL
--and ot.ts = 'Cancel'    
    AND ot.apprdate > TO_DATE('1-SEP-2014', 'DD-MON-YYYY')
    AND fel.eventtype = 'Report to HL7'
    --AND fc.approveddate IS NOT NULL
  ORDER BY
    cr.external_id ASC,  
    (to_char(fel.eventdate,'MM-DD-YYYY') || '  ' || fel.eventtime)  ASC,
  
    fc.approveddate DESC,
    t.testno ASC;
*/    
/*-----------------------------------------------------------------*/



SELECT DISTINCT
  ot.folderno,
  (t.testcode || ' - ' || t.testno) AS test_name,
  ot.ts,  
  ot.apprdate,
  r.final,
  '~' AS eol
FROM sundata_prod.ordtask ot
  INNER JOIN sundata_prod.tests t ON (ot.testcode = t.testcode)
  INNER JOIN sundata_prod.results r ON (ot.testcode = r.testcode AND ot.ordno = r.ordno AND ot.folderno = r.folderno)
WHERE 1=1
  AND ot.apprdate is not null
  AND ot.apprdate > TO_DATE('10-NOV-2014', 'DD-MON-YYYY')
  AND ot.apprdate = TO_DATE('25-NOV-2014', 'DD-MON-YYYY')
  AND ot.testcode IN (1,444,2)
  AND ot.folderno LIKE 'AZ%'
ORDER BY
  ot.apprdate ASC,
  ot.folderno ASC




/*
SELECT DISTINCT
  ot.folderno,
  (t.testcode || ' - ' || t.testno) AS test_name,
  ot.ts,  
  ot.apprdate,
  r.final,
  '~' AS eol
FROM sundata_prod.ordtask ot
  INNER JOIN sundata_prod.tests t ON (ot.testcode = t.testcode)
  INNER JOIN sundata_prod.results r ON (ot.testcode = r.testcode AND ot.ordno = r.ordno AND ot.folderno = r.folderno)
WHERE 1=1
  AND ot.apprdate is not null
--  AND ot.apprdate > TO_DATE('10-NOV-2014', 'DD-MON-YYYY')
--  AND ot.apprdate = TO_DATE('25-NOV-2014', 'DD-MON-YYYY')
  AND ot.testcode IN (1,444,2)
  AND ot.folderno IN ('AZ00022563-01','AZ00022566-01')
ORDER BY
  ot.apprdate ASC,
  ot.folderno ASC
*/  

