

/*-----InventoryDepletionAdjustment--------------------------------*/

  /*----------Description----------*/
    --Use this set of scripts to review and update depleted 
    --inventory if the users accedently set the remaining quantity
    --to zero.
  /*----------  ----------*/

  /*----------SL10 Environments----------*/
    --DEV:  sunrise_data
    --TEST: sundata_sat
    --PROD: sundata_prod
  /*----------  ----------*/

  /*----------Source Tables----------*/
  /*
   SELECT DISTINCT i.* FROM &Environment.inventory i WHERE 1=1;
   SELECT DISTINCT bi.* FROM &Environment.benchinventory bi WHERE 1=1;
   SELECT DISTINCT ic.* FROM &Environment.inventorychange ic WHERE 1=1;         
   */
  /*----------  ----------*/

  /*----------History----------*/
    --2013.06.11 JTY: Created script file
  /*----------  ----------*/
/*-----------------------------------------------------------------*/





/*-----Inventory and History Review--------------------------------*/
  --These queries will show inventory stock on hand, and history
  --provided either the Material Code or Lot Number is supplier.
  
  
  /*----------Review current inventory----------*/
/*  
    SELECT DISTINCT
      i.matcode,
      i.lotno,
      i.inventoryid,
      i.status,
      --i.inventorytype,
      i.no_of_units_received,
      i.unitsize,
      i.unit_code,
      '~' AS "Inventory",
      bi.locationcode,
      bi.amountleft,
      bi.status AS inv_status,      
      '~' AS eol
    FROM inventory i
      LEFT OUTER JOIN benchinventory bi ON (i.inventoryid = bi.inventoryid)
    WHERE 1=1
      --Sepecify Material Code and/or Lot Number Here---
        AND UPPER(i.matcode) = UPPER('?????')
        --AND UPPER(i.lotno) = UPPER('')
      ---
    ORDER BY
      i.matcode ASC,
      i.lotno ASC,
      i.inventoryid ASC;
*/      
  /*----------  ----------*/  
  
  /*----------Review Utilization History----------*/
/*  
    SELECT DISTINCT
      i.matcode,
      i.lotno,
      i.inventoryid,
      '~' AS "History",
      ic.datechange,
      ic.amountchange,
      ic.balance,
      ic.changedby,
      ic.reason,
      '~' AS eol
    FROM inventory i
      LEFT OUTER JOIN inventorychange ic ON (
        i.inventoryid = ic.inventoryid)
--        AND i.location_code = ic.locationcode)
    WHERE 1=1
      --Sepecify Material Code and/or Lot Number Here---
        AND UPPER(i.matcode) = UPPER('?????')
        --AND UPPER(i.lotno) = UPPER('1333RBS')
      ---
    ORDER BY
      i.matcode ASC,
      i.inventoryid ASC, 
      i.lotno ASC,
      ic.datechange ASC;  
*/      
  /*----------  ----------*/  
/*-----------------------------------------------------------------*/





/*-----Update History And Inventory--------------------------------*/
  --Once the Quantitiy on hand is understood, and the history
  --has been reviewed, you can modify both as needed. 
  
  
  /*----------Update Quantity on had----------*/
/*  
    UPDATE BenchInventory 
    SET
      --Specify new quantity--
      amountleft = '500'
      --
    WHERE 1=1 
      --Specify record origrec number to be updated--
      AND inventoryID = '????'
      --
*/      
  /*----------  ----------*/  

  /*----------Update usage history----------*/
/*  
    UPDATE InventoryChange
    SET 
      --Specify quantities here--
      amountchange = '???',
      balance = '??'
      --
    WHERE 1=1 
      --Specify record origrec number to be updated--
      AND origrec = '???'
      --
*/      
  /*----------  ----------*/  
  
/*-----------------------------------------------------------------*/





/*-----------------------------------------------------------------*/
  /*----------  ----------*/
  /*----------  ----------*/  
/*-----------------------------------------------------------------*/
