/*-----------------------------------------------------------------*/
/*-----SampleRunInfo-----------------------------------------------*/
  --Get runs and results associated with a sample
  SELECT DISTINCT
    f.external_id,
    fc.status,
    t.testno,  
    r.runno,  
    re.analyte,
    re.final,
    ot.apprdate,
    ot.apprvedby,
    '~' AS eol
  FROM sundata_prod.folders f
    INNER JOIN sundata_prod.foldercondition fc ON (f.folderno = fc.folderno)
    INNER JOIN sundata_prod.ordtask ot ON (f.folderno = ot.folderno)
    INNER JOIN sundata_prod.runs r ON (ot.runno = r.runno)
    INNER JOIN sundata_prod.results re ON (1=1
      AND ot.ordno = re.ordno 
      AND ot.testcode = re.testcode)
    INNER JOIN sundata_prod.tests t ON (ot.testcode = t.testcode)
  WHERE 1=1
    AND f.external_id = '&SampleID'
/*-----------------------------------------------------------------*/
