--Utilize this script to identify reports that have attachments 
--assoricated with them that should be associated with the rerport (sendouts)

SELECT DISTINCT
  f.dept,
  f.folderno,
  f.fldsts,
  f.apprdate,
  f.approvedby,
  rdq.itemid,
  rdq.delivery_method,
  rdq.delivery_address
FROM sundata_prod.res_attachments ra
  INNER JOIN sundata_prod.folders f ON (ra.folderno = f.folderno)
  INNER JOIN sundata_prod.rr_report_delivery_queue rdq ON (f.folderno = rdq.folderno)
WHERE 1=1
--  AND ra.folderno = 'AZ00049294-01'
  AND ra.attachmenttype = 'ATT'
  AND ra.attachment_scope = 'External'
  AND ra.printonreport = 'Y'
  AND f.apprdate IS NOT NULL
  AND rdq.delivery_method = 'Hard Copy'
ORDER BY
  f.dept ASC,
  rdq.itemid DESC
  
