
/*-----DeliveryMethodsInfo----------------------------------------------*/
  --Set of queries that give information on the various delivery types,
  --and associateion with clients
  
 
/*----------------------------------------------------------------------*/



/*-----01. Delivery Methods to Clients-----*/
  --Get the number of clients configured for each delivery method (over last 6 months)
  --for reports delivered.
  
  --NOTE: Currently this SQL is a Rough estimate.  Will need to refine SQL for more accuracy  
  SELECT DISTINCT
    rdq.delivery_method,
    COUNT(DISTINCT rdq.rasclientid) AS my_count
  FROM rr_report_delivery_queue rdq
    INNER JOIN rr_rdq_history rdh ON (rdq.stardoc_id = rdh.stardoc_id)
  WHERE 1=1
    AND rdh.sent_date BETWEEN (ADD_MONTHS(sysdate, -6)) AND sysdate
    AND rdq.delivery_method <> 'PDF Only'
  GROUP BY
    rdq.delivery_method
  ORDER BY
    rdq.delivery_method;
/*----- -----*/


/*-----02. Delivery Methods to Samples -----*/
  --Determine how many samples were associated with each
  --delivery method over the last siz months.

  --NOTE: Currently this SQL is a Rough estimate.  Will need to refine SQL for more accuracy

  SELECT DISTINCT
    rdq.delivery_method,
    COUNT(DISTINCT rdq.folderno) AS my_count
  FROM rr_report_delivery_queue rdq
    INNER JOIN rr_rdq_history rdh ON (rdq.stardoc_id = rdh.stardoc_id)
  WHERE 1=1
    AND rdh.sent_date BETWEEN (ADD_MONTHS(sysdate, -6)) AND sysdate
    AND rdq.delivery_method <> 'PDF Only'
  GROUP BY
    rdq.delivery_method
  ORDER BY
    rdq.delivery_method;
/*----- -----*/

/*----- -----*/
  SELECT DISTINCT
    rxc.rasclientid
  FROM users u
    INNER JOIN rasclientcontacts rxc ON (u.usrnam = rxc.usrnam)  
  WHERE 1=1
    AND rxc.rasclientid NOT IN ('ADHS', 'Internal')
/*----- -----*/



/*----------------------------------------------------------------------*/

