

SELECT DISTINCT
m.*
FROM materials m
WHERE 1=1
  AND m.matcode IN (
  
'Amplitaq Gold 360 Master Mix',
'InvSsIII',
'KAPA Probe Fast (ROX Low)',
'QuantiFast Probe PCR Kit',
'Ambion AgPathID PCR Kit',
'LRNT095',
'QiagenQuantiTectPCR',
'Quanta PerfeCTa SuperMix',
'ROCHE_PRB',
'Taqman RT-PCR Mastermix',
'Type-it HRM PCR Kit',
'Superscript III HF/2x buff kit',
'Accustart PCR Supermix'
  )
  
  
  
  
SELECT DISTINCT m.mattype FROM materials m ORDER BY m.mattype ASC;


-----01. BioChemical TO Reagent-----
  UPDATE materials m
  SET m.mattype = 'Reagent'
  WHERE 1=1
    AND m.matcode IN (
      'API 20 E',
      'Acetate Agar',
      'Andrades Adonitol',
      'Andrades Arabinose',
      'Andrades Base Control',
      'Andrades Cellobiose',
      'Andrades Dulcitol',
      'Andrades Glucose',
      'Andrades Inositol',
      'Andrades Lactose',
      'Andrades Maltose',
      'Andrades Mannitol',
      'Andrades Melibiose',
      'Andrades Raffinose',
      'Andrades Rhamnose',
      'Andrades Salicin',
      'Andrades Sorbitol',
      'Andrades Sucrose',
      'Andrades Trehalose',
      'Andrades Xylose',
      'Bile Esculin Agar',
      'Catalase',
      'Coagulase',
      'Ehrlichs Indole',
      'Esculin Agar',
      'HNID Panel',
      'Hippurate Broth',
      --'Indole-Kovak's',
      'Lead Acetate Strip',
      'Litmus Milk',
      'MIO',
      'MR-VP broth',
      'Malonate',
      'MoellerArginineDecarboxylase',
      'MoellerDecarboxylaseBase',
      'MoellerDecarboxylaseLysine',
      'MoellerOrnithineDecarboxylase',
      'Motility Test Medium',
      'Mucate',
      'Mug Disks',
      'NaCl 6.5% Broth',
      'NaCl Nutrient Broth, 0%',
      'NaCl Nutrient Broth, 1%',
      'NaCl Nutrient Broth, 10%',
      'NaCl Nutrient Broth, 6%',
      'NaCl Nutrient Broth, 8%',
      'Naladixic Acid',
      'Nitrate Broth',
      'Novobiocin',
      'Nutrient Gelatin',
      'OF Glucose',
      'OF Lactose',
      'OF Maltose',
      'OF Mannitol',
      'OF Sucrose',
      'OF Xylose',
      'ONPG',
      'Oxidase',
      'PYR',
      'TSI',
      'Urea',
      'V Factor',
      'Vitek GP Cards',
      'X and V Factor',
      'Vitek GN cards',
      'API Saline',
      'James Reagent (IND)',
      'Lactose gelatin',
      'NIT1 (Sulfanilic Acid)',
      'NIT2',
      'OF Base',
      'TDA (Ferric Chloride 10%)',
      'Tecra C.perf enterotoxin',
      'VP1 (Potassium Hydroxide 40%)',
      'VP2 (Alpha-naphthol 6%)',
      'Zinc',
      '6.5% NaCl Broth with Indicator',
      'Andrades Dextrose',
      'Andrades Mannose',
      'Bacitracin',
      'Bile Esculin',
      'Catalase Test',
      'Citrate Agar (Simmons)',
      'D-Galacturonate',
      'D-Galacturonate Base',
      'DMACA Indole (spot Indole)',
      'Gram Sure',
      'Indoxyl Acetate Disk',
      'Lysine Decarboxylase',
      'Methyl Red',
      'OXIDASE',
      'Optochin',
      'Ornithine Decarboxylase',
      'Tartrate',
      'Tryptone Broth',
      'V Factors',
      'X Factor'
  );

----- -----




-----02. BioChemical TO Testing Kit-----
  UPDATE materials m
  SET m.mattype = 'Testing Kit'
  WHERE 1=1
    AND m.matcode IN ( 'PYR'
  );
----- -----  




-----0x. XXX TO XXX-----
  UPDATE materials m
  SET m.mattype = 'XXZX'
  WHERE 1=1
    AND m.matcode IN (
  )
----- -----  



-----0x. XXX TO XXX-----
  UPDATE materials m
  SET m.mattype = 'XXZX'
  WHERE 1=1
    AND m.matcode IN (
  )
----- -----  

  
