
-- 001: [EQUIPMENT].EQID
-- 002: [EQUIPSCHEDULEEVENTS].EQID
-- 003: [MAINTENANCE].EQID




/*-----EquipmentTransfer-------------------------------------------*/
  /*-----DESCRIPTION-----*/
    --This set of scripts will transfer an existing equipment from
    --the source lab to the destination lab.
  /*----- -----*/

  /*-----Valid Parameter Values-----*/
    ---Departments---
      --PHX-BAC
      --PHX-BT
      --PHX-EM
      --PHX-SER
      --PHX-TB
      --PHX-VIR
      --Safety
    --- ---
    ---ServiceGroups---
      --Bacteriology Team
      --BioTerrorism
      --Env Micro
      --Safety
      --Serology
      --TB Team
      --Virology Team
    --- ---
  /*----- -----*/

  /*-----HISTORY-----*/
    --2015.09.10 JTY: Created Script
  /*----- -----*/
  
/*-----------------------------------------------------------------*/


/*-----Tables Review-----------------------------------------------*/
  /*-----[Equipment]-----*/
    SELECT DISTINCT
      e.dept,
      e.eqid,
      e.eqtype,
      e.servgrp,
      e.mfg,
      e.serialno,
      '~' AS eol
    FROM sundata_prod.equipment e
    WHERE 1=1
      AND e.eqid = 'Sigma/Qiagen 96481';
  /*----- -----*/    

/*-----------------------------------------------------------------*/


/*-----Make Transfer-----------------------------------------------*/
  --Suprising enough, only the Equipment Table needs to be updated!
  
  /*-----[Equipment]-----*/
/*
    UPDATE &Environment.equipment e
    SET
      e.dept = '&TargetDept',
      e.servgrp = '&TargetServiceGroup'
    WHERE 1=1
      AND e.eqid = '&EquipmentID'
      AND e.dept = '&SourceDept'
      AND e.servgrp = '&SourceServiceGroup';
*/      
  /*----- -----*/  
  

/*-----------------------------------------------------------------*/
