
/*-----------------------------------------------------------------*/  

/*=====Rename_QBETemplateID=========================================*/
  /*-----DESCRIPTION-----*/
    --This set of scripts will take the old TemplateID of the QBE
    --template you want to change, and update it to the new QBE
    --template ID you indicate.
    
    --The following parameters are used in these scripts:
      --&Environment: The environment you want to update.  You must
          --have update rights to be able to execute these scripts.
      --Old_TemplateID: The current QBE Template ID you want to change
      --New_TemplateID: The new QBE Template ID.      
      --
  /*----- -----*/  

  /*----- -----*/
  /*----- -----*/  

  /*-----HISTORY-----*/
    --2014.02.14 JTY: Created Script
  /*----- -----*/  



/*-----------------------------------------------------------------*/  
/*-----------------------------------------------------------------*/  





/*=====Rename QBE Template ID======================================*/

/*-----------------------------------------------------------------*/  

  /*-----Tables Review-----*/
/*  
    SELECT * FROM &Environment.QBEMETADATATEMPLATES WHERE qbetemplateid = '&Old_TemplateID';
    SELECT * FROM &Environment.QBEDATAJOINFIELDS WHERE qbetemplateid = '&Old_TemplateID';
    SELECT * FROM &Environment.QBETABLES WHERE qbetemplateid = '&Old_TemplateID';
    SELECT * FROM &Environment.QBEREPORTS WHERE qbetemplateid = '&Old_TemplateID';
    SELECT * FROM &Environment.QBETEMPLATES WHERE qbetemplateid = '&Old_TemplateID';
    SELECT * FROM &Environment.QBEMETADATAFIELDS WHERE qbetemplateid = '&Old_TemplateID';
    SELECT * FROM &Environment.QBEDATATABLES WHERE qbetemplateid = '&Old_TemplateID';
    SELECT * FROM &Environment.QBEDATAFIELDS WHERE qbetemplateid = '&Old_TemplateID';
    SELECT * FROM &Environment.UAC_RESOURCES WHERE resource_name = '&Old_TemplateID';
    SELECT * FROM &Environment.UAC_RIGHTS WHERE resource_type = 'QBE_TEMPLATE' AND resource_name = '&Old_TemplateID';
    SELECT * FROM &Environment.QBEDATAFIELDS WHERE qbetemplateid = '&Old_TemplateID';                
*/    
  /*----- -----*/    
SELECT * FROM sundata_sat.qbedatatables dt WHERE dt.qbetemplateid = 'AdhsMLSt'
SELECT * FROM sundata_sat.qbedatafields dt WHERE dt.qbetemplateid = 'AdhsMLSt'
SELECT * FROM sundata_sat.qbedatajoinfields dt WHERE dt.qbetemplateid = 'AdhsMLSt'

/*-----Update Scripts----------------------------------------------*/  

  /*-----Disable Constraints-----*/  
/*
    ALTER TABLE &Environment.uac_rights DISABLE CONSTRAINT FK_UAC_RIGHTS_UAC_RESOURCES01;
    ALTER TABLE &Environment.qbetables DISABLE CONSTRAINT FK_QBETABLES_QBETEMPLATES01;
    ALTER TABLE &Environment.qbedatatables DISABLE CONSTRAINT FK_QBEDATATABLE_QBETEMPLATES01;    
    ALTER TABLE &Environment.qbedatafields DISABLE CONSTRAINT FK_QBEDATAFIELD_QBEDATATABLE01;
    ALTER TABLE &Environment.qbedatajoinfields DISABLE CONSTRAINT FK_QBEDATAJOINF_QBEDATATABLE01;    
*/    
  /*----- -----*/  


  /*-----QbeReports-----*/
/*  
    UPDATE &Environment.qbereports r
    SET r.qbetemplateid = '&New_TemplateID'
    WHERE 1=1
        AND r.qbetemplateid = '&Old_TemplateID'
*/
  /*----- -----*/
  
  /*-----QbeTalbes-----*/
/* 
    UPDATE &Environment.qbetables t
    SET t.qbetemplateid = '&New_TemplateID'
    WHERE 1=1
      AND t.qbetemplateid = '&Old_TemplateID'
*/      
  /*----- -----*/

  /*-----qbedatajoinfields-----*/
/* 
    UPDATE &Environment.qbedatajoinfields t
    SET t.qbetemplateid = '&New_TemplateID'
    WHERE 1=1
      AND t.qbetemplateid = '&Old_TemplateID'
*/      
  /*----- -----*/  

  /*-----qbedatafields-----*/
/* 
    UPDATE &Environment.qbedatafields t
    SET t.qbetemplateid = '&New_TemplateID'
    WHERE 1=1
      AND t.qbetemplateid = '&Old_TemplateID'
*/      
  /*----- -----*/  
  /*-----QbeDataTables-----*/
/* 
    UPDATE &Environment.qbedatatables t
    SET t.qbetemplateid = '&New_TemplateID'
    WHERE 1=1
      AND t.qbetemplateid = '&Old_TemplateID'
*/      
  /*----- -----*/

  
  /*-----qbetemplates-----*/
/*
    UPDATE &Environment.qbetemplates t
    SET t.qbetemplateid = '&New_TemplateID'
    WHERE 1=1
      AND t.qbetemplateid = '&Old_TemplateID'
*/      
  /*----- -----*/
  
  /*-----uac_rights-----*/  
/*  
    UPDATE &Environment.uac_rights ur
    SET ur.resource_name = '&New_TemplateID'
    WHERE 1=1
      AND ur.resource_type = 'QBE_TEMPLATE'
      AND ur.resource_name = '&Old_TemplateID'       
*/      
  /*----- -----*/

  /*-----uac_resources-----*/
/*     
    UPDATE &Environment.uac_resources ur
    SET ur.resource_name = '&New_TemplateID'
    WHERE 1=1
      AND ur.resource_type = 'QBE_TEMPLATE'
      AND ur.resource_name = '&Old_TemplateID'    
*/      
  /*----- -----*/

  /*-----Enable Constraints-----*/  
/*  
    ALTER TABLE &Environment.uac_rights ENABLE CONSTRAINT FK_UAC_RIGHTS_UAC_RESOURCES01;
    ALTER TABLE &Environment.qbetables ENABLE CONSTRAINT FK_QBETABLES_QBETEMPLATES01;
    ALTER TABLE &Environment.qbedatatables ENABLE CONSTRAINT FK_QBEDATATABLE_QBETEMPLATES01;    
    ALTER TABLE &Environment.qbedatafields ENABLE CONSTRAINT FK_QBEDATAFIELD_QBEDATATABLE01;
    ALTER TABLE &Environment.qbedatajoinfields ENABLE CONSTRAINT FK_QBEDATAJOINF_QBEDATATABLE01;    
*/    
  /*----- -----*/  

/*-----------------------------------------------------------------*/  

/*=================================================================*/




/*-----------------------------------------------------------------*/  
/*-----------------------------------------------------------------*/  

