PL/SQL Developer Test script 3.0
50

/*-----------------------------------------------------------------*/
/*-----FindColumnsInSchema-----------------------------------------*/
  /*---------Discription---------*/
    --Use this test script to identify all the
    --tables in the database that have the column
    --you have specified.
  /*--------- ---------*/
    
  /*---------History---------*/
    --2013.07.03 JTY: Created script
  /*--------- ---------*/

  /*--------- ---------*/
  /*--------- ---------*/
/*-----------------------------------------------------------------*/





/*-----------------------------------------------------------------*/
  /*----------VARIABLES SECTION----------*/
  DECLARE 
    iCounter pls_integer;
    sColumnName user_tab_columns.COLUMN_NAME%Type;
  
    CURSOR cur_FoundColumns(pColunnName user_tab_columns.COLUMN_NAME%Type) IS
      SELECT DISTINCT
        utc.TABLE_NAME,
        utc.COLUMN_NAME
      FROM user_tab_columns utc
      WHERE 1=1
        AND upper(utc.column_name) = UPPER(pColunnName);  
  /*---------- ----------*/
      
  
  /*----------CODE SECTION----------*/
    BEGIN
      sColumnName := :ColumnName;
      iCounter := 0;
      FOR rec_FoundColumn IN cur_FoundColumns(sColumnName) LOOP    
        iCounter := iCounter +1;
        dbms_output.put_line(    
            to_char(icounter,'000') || ': ' ||
            rec_FoundColumn.table_name || '.' || rec_FoundColumn.column_name );
      END LOOP;      
    END;
/*---------- ----------*/
/*-----------------------------------------------------------------*/
1
ColumnName
1
matcode
5
0
