
/*
-----UserIDUpdate----------------------------------------------------------
---------------------------------------------------------------------------
  --- ---
  --- ---

  ---DESCRIPTION---
    Use these scripts to update the user name if you have the wrong name.
    
    NOTE: You will need to disable constraints for the child tables to 
    make the final update on the parent table (users).  I have only started
    this script and identified the tabls to be updated.  Next go round
    will add enable/disable constraints on tables, and parameterize the 
    script.
  --- ---

  ---HISTORY---
  2020.04.02 JTY: Updated to utilize variables
  2020.01.06 JTY: Start Script Creation.
  --- ---  
---------------------------------------------------------------------------
*/

--SELECT * FROM users u WHERE u.usrnam LIKE ('MCFA%')
---HIST_PW---
  select * from users u where u.usrnam = '&OldUserID'
  update users u set u.usrnam = '&NewUserID' where u.usrnam = '&OldUserID'
--- ---

---HIST_PW---
  select * from hist_pw hp WHERE hp.usrnam = '&OldUserID'
  UPDATE hist_pw hp SET hp.usrnam = '&NewUserID' WHERE hp.usrnam = '&OldUserID'
--- ---

---userroles--
  SELECT * FROM userroles ur WHERE ur.usrnam = '&OldUserID'
  UPDATE userroles ur SET ur.usrnam = '&NewUserID' WHERE ur.usrnam = '&OldUserID'
--- ---

---rasclientcontacts--
  SELECT * FROM rasclientcontacts a WHERE a.usrnam = '&OldUserID'
  UPDATE rasclientcontacts a SET a.usrnam = '&NewUserID' WHERE a.usrnam = '&OldUserID'
--- ---

---servganalyst--
  SELECT * FROM servganalyst a WHERE a.usrnam = '&OldUserID'
  UPDATE servganalyst a SET a.usrnam = '&NewUserID' WHERE a.usrnam = '&OldUserID'
--- ---

---benchlocations--
  SELECT * FROM benchlocations a WHERE a.usrnam = '&OldUserID'
  UPDATE benchlocations a SET a.usrnam = '&NewUserID' WHERE a.usrnam = '&OldUserID'
--- ---


/* ---Next identified table layout is here---
---a--
SELECT * FROM tablea a WHERE a.usrnam = '&OldUserID'
UPDATE tablea a SET a.usrnam = '&NewUserID' WHERE a.usrnam = '&OldUserID'
--- ---
*?
