
/*-----------------------------------------------------------------*/  

/*=====QBE_RenameTemplateID========================================*/
  /*-----DESCRIPTION-----*/
    --This set of scripts will take the old TemplateID of the QBE
    --template you want to change, and update it to the new QBE
    --template ID you indicate.
    
    --The following parameters are used in these scripts:
      --&Environment: The environment you want to update.  You must
          --have update rights to be able to execute these scripts.
      --Old_TemplateID: The current QBE Template ID you want to change
      --New_TemplateID: The new QBE Template ID.      
      --
  /*----- -----*/  

  /*----- -----*/
  /*----- -----*/  

  /*-----HISTORY-----*/
    --2020.05.27 JTY: Renamed and updated
    --2014.02.14 JTY: Created Script
  /*----- -----*/  



/*-----------------------------------------------------------------*/  
/*-----------------------------------------------------------------*/  





/*=====Rename QBE Template ID======================================*/

/*-----------------------------------------------------------------*/  

  /*-----Tables Review-----*/
/*  
    SELECT * FROM QBEMETADATATEMPLATES WHERE qbetemplateid = '&Old_TemplateID';
    SELECT * FROM QBEDATAJOINFIELDS WHERE qbetemplateid = '&Old_TemplateID';
    SELECT * FROM QBETABLES WHERE qbetemplateid = '&Old_TemplateID';
    SELECT * FROM QBEREPORTS WHERE qbetemplateid = '&Old_TemplateID';
    SELECT * FROM QBETEMPLATES WHERE qbetemplateid = '&Old_TemplateID';
    SELECT * FROM QBEMETADATAFIELDS WHERE qbetemplateid = '&Old_TemplateID';
    SELECT * FROM QBEDATATABLES WHERE qbetemplateid = '&Old_TemplateID';
    SELECT * FROM QBEDATAFIELDS WHERE qbetemplateid = '&Old_TemplateID';
    SELECT * FROM UAC_RESOURCES WHERE resource_name = '&Old_TemplateID';
    SELECT * FROM UAC_RIGHTS WHERE resource_type = 'QBE_TEMPLATE' AND resource_name = '&Old_TemplateID';
    SELECT * FROM QBEDATAFIELDS WHERE qbetemplateid = '&Old_TemplateID';                
*/    
  /*----- -----*/    
--SELECT * FROM qbedatatables dt WHERE dt.qbetemplateid = 'ADHS_PR';
--SELECT * FROM qbedatafields dt WHERE dt.qbetemplateid = 'ADHS_PR';
--SELECT * FROM qbedatajoinfields dt WHERE dt.qbetemplateid = 'ADHS_PR';

/*-----Update Scripts----------------------------------------------*/  

  /*-----Disable Constraints-----*/  
/*
    ALTER TABLE uac_rights DISABLE CONSTRAINT FK_UAC_RIGHTS_UAC_RESOURCES01;
    ALTER TABLE qbetables DISABLE CONSTRAINT FK_QBETABLES_QBETEMPLATES01;
    ALTER TABLE qbedatatables DISABLE CONSTRAINT FK_QBEDATATABLE_QBETEMPLATES01;    
    ALTER TABLE qbedatafields DISABLE CONSTRAINT FK_QBEDATAFIELD_QBEDATATABLE01;
    ALTER TABLE qbedatajoinfields DISABLE CONSTRAINT FK_QBEDATAJOINF_QBEDATATABLE01;    
*/    
  /*----- -----*/  


  /*-----QbeReports-----*/
/*  
    UPDATE qbereports r
    SET r.qbetemplateid = '&New_TemplateID'
    WHERE 1=1
        AND r.qbetemplateid = '&Old_TemplateID'
*/
  /*----- -----*/
  
  /*-----QbeTalbes-----*/
/* 
    UPDATE qbetables t
    SET t.qbetemplateid = '&New_TemplateID'
    WHERE 1=1
      AND t.qbetemplateid = '&Old_TemplateID'
*/      
  /*----- -----*/

  /*-----qbedatajoinfields-----*/
/* 
    UPDATE qbedatajoinfields t
    SET t.qbetemplateid = '&New_TemplateID'
    WHERE 1=1
      AND t.qbetemplateid = '&Old_TemplateID'
*/      
  /*----- -----*/  

  /*-----qbedatafields-----*/
/* 
    UPDATE qbedatafields t
    SET t.qbetemplateid = '&New_TemplateID'
    WHERE 1=1
      AND t.qbetemplateid = '&Old_TemplateID'
*/      
  /*----- -----*/  
  /*-----QbeDataTables-----*/
/* 
    UPDATE qbedatatables t
    SET t.qbetemplateid = '&New_TemplateID'
    WHERE 1=1
      AND t.qbetemplateid = '&Old_TemplateID'
*/      
  /*----- -----*/

  
  /*-----qbetemplates-----*/
/*
    UPDATE qbetemplates t
    SET t.qbetemplateid = '&New_TemplateID'
    WHERE 1=1
      AND t.qbetemplateid = '&Old_TemplateID'
*/      
  /*----- -----*/
  
  /*-----uac_rights-----*/  
/*  
    UPDATE uac_rights ur
    SET ur.resource_name = '&New_TemplateID'
    WHERE 1=1
      AND ur.resource_type = 'QBE_TEMPLATE'
      AND ur.resource_name = '&Old_TemplateID'       
*/      
  /*----- -----*/

  /*-----uac_resources-----*/
/*     
    UPDATE uac_resources ur
    SET ur.resource_name = '&New_TemplateID'
    WHERE 1=1
      AND ur.resource_type = 'QBE_TEMPLATE'
      AND ur.resource_name = '&Old_TemplateID'    
*/      
  /*----- -----*/

  /*-----Enable Constraints-----*/  
/*  
    ALTER TABLE uac_rights ENABLE CONSTRAINT FK_UAC_RIGHTS_UAC_RESOURCES01;
    ALTER TABLE qbetables ENABLE CONSTRAINT FK_QBETABLES_QBETEMPLATES01;
    ALTER TABLE qbedatatables ENABLE CONSTRAINT FK_QBEDATATABLE_QBETEMPLATES01;    
    ALTER TABLE qbedatafields ENABLE CONSTRAINT FK_QBEDATAFIELD_QBEDATATABLE01;
    ALTER TABLE qbedatajoinfields ENABLE CONSTRAINT FK_QBEDATAJOINF_QBEDATATABLE01;    
*/    
  /*----- -----*/  

/*-----------------------------------------------------------------*/  

/*=================================================================*/




/*-----------------------------------------------------------------*/  
/*-----------------------------------------------------------------*/  

