/*-----QBE_ResultsGridSorter--------------------------------------------------------*/
  /*-----DESCRIPTION-----*/
    --Use this set of queries to update the order of the columns and with of the columns
    --in the results table for the QBE Query application.
  /*----- -----*/
  
  /*-----HISTORY-----*/
    --2020.05.28 JTY: Created Query
  /*----- -----*/
  
/*---------------------------------------------------------------------------*/


/*---------------------------------------------------------------------------*/
  /*-----Review Results Table Information-----*/
    SELECT * FROM qbedatafields df
    WHERE 1=1
      AND df.qbetemplateid = '&TemplateID'
    ORDER BY
      df.sorter ASC;
  /*----- -----*/

  /*-----Make Changes-----*/
--        UPDATE qbedatafields df SET df.sorter = '', df.width = '129' WHERE df.qbetemplateid = '&TemplateID' AND df.field_alias = '';
  ---ADHS_C01---
/*  
    UPDATE qbedatafields df SET df.sorter = '1', df.width = '50' WHERE df.qbetemplateid = 'ML_COV' AND df.field_alias = 'Submitting Org.';
    UPDATE qbedatafields df SET df.sorter = '2', df.width = '120' WHERE df.qbetemplateid = 'ML_COV' AND df.field_alias = 'Last Name';
    UPDATE qbedatafields df SET df.sorter = '3', df.width = '120' WHERE df.qbetemplateid = 'ML_COV' AND df.field_alias = 'First Name';
    UPDATE qbedatafields df SET df.sorter = '4', df.width = '50' WHERE df.qbetemplateid = 'ML_COV' AND df.field_alias = 'Sex';
    UPDATE qbedatafields df SET df.sorter = '5', df.width = '75' WHERE df.qbetemplateid = 'ML_COV' AND df.field_alias = 'Birth Date';
    UPDATE qbedatafields df SET df.sorter = '6', df.width = '75' WHERE df.qbetemplateid = 'ML_COV' AND df.field_alias = 'Patient ID';
    UPDATE qbedatafields df SET df.sorter = '7', df.width = '75' WHERE df.qbetemplateid = 'ML_COV' AND df.field_alias = 'Date Received';
    UPDATE qbedatafields df SET df.sorter = '8', df.width = '120' WHERE df.qbetemplateid = 'ML_COV' AND df.field_alias = 'Panel';    
    UPDATE qbedatafields df SET df.sorter = '9', df.width = '75' WHERE df.qbetemplateid = 'ML_COV' AND df.field_alias = 'Approved Date';
    UPDATE qbedatafields df SET df.sorter = '10', df.width = '150' WHERE df.qbetemplateid = 'ML_COV' AND df.field_alias = 'Test Name';
    UPDATE qbedatafields df SET df.sorter = '11', df.width = '120' WHERE df.qbetemplateid = 'ML_COV' AND df.field_alias = 'Final';

    UPDATE qbedatafields df SET df.sorter = '13', df.width = '75' WHERE df.qbetemplateid = 'ML_COV' AND df.field_alias = 'Code System OID';
    UPDATE qbedatafields df SET df.sorter = '14', df.width = '50' WHERE df.qbetemplateid = 'ML_COV' AND df.field_alias = 'Sorter';
*/    
  --- ---



  ---ADHS_C02---
/*  
    UPDATE qbedatafields df SET df.sorter = '1', df.width = '175' WHERE df.qbetemplateid = 'ADHS_C02' AND df.field_alias = 'Test Name';
    UPDATE qbedatafields df SET df.sorter = '2', df.width = '75' WHERE df.qbetemplateid = 'ADHS_C02' AND df.field_alias = 'TestCode';
    UPDATE qbedatafields df SET df.sorter = '3', df.width = '175' WHERE df.qbetemplateid = 'ADHS_C02' AND df.field_alias = 'Analyte';
    UPDATE qbedatafields df SET df.sorter = '4', df.width = '100' WHERE df.qbetemplateid = 'ADHS_C02' AND df.field_alias = 'Result';
    UPDATE qbedatafields df SET df.sorter = '5', df.width = '100' WHERE df.qbetemplateid = 'ADHS_C02' AND df.field_alias = 'SNOMED Code';
    UPDATE qbedatafields df SET df.sorter = '6', df.width = '150' WHERE df.qbetemplateid = 'ADHS_C02' AND df.field_alias = 'SNOMED Element';
    UPDATE qbedatafields df SET df.sorter = '7', df.width = '100' WHERE df.qbetemplateid = 'ADHS_C02' AND df.field_alias = 'SNOMED Concept ID';
    UPDATE qbedatafields df SET df.sorter = '8', df.width = '100' WHERE df.qbetemplateid = 'ADHS_C02' AND df.field_alias = 'SNOMED Description ID';
    UPDATE qbedatafields df SET df.sorter = '9', df.width = '75' WHERE df.qbetemplateid = 'ADHS_C02' AND df.field_alias = 'Snomed Group';
    UPDATE qbedatafields df SET df.sorter = '10', df.width = '75' WHERE df.qbetemplateid = 'ADHS_C02' AND df.field_alias = 'Loinc Condition Name';
*/    
  --- ---

  ---ADHS_C03---
/*
    UPDATE qbedatafields df SET df.sorter = '1', df.width = '175' WHERE df.qbetemplateid = 'ADHS_C03' AND df.field_alias = 'Test Name';  
    UPDATE qbedatafields df SET df.sorter = '2', df.width = '75' WHERE df.qbetemplateid = 'ADHS_C03' AND df.field_alias = 'TestCode';  
    UPDATE qbedatafields df SET df.sorter = '3', df.width = '175' WHERE df.qbetemplateid = 'ADHS_C03' AND df.field_alias = 'Analyte';
    UPDATE qbedatafields df SET df.sorter = '4', df.width = '75' WHERE df.qbetemplateid = 'ADHS_C03' AND df.field_alias = 'HL7 Reportable';
    UPDATE qbedatafields df SET df.sorter = '5', df.width = '75' WHERE df.qbetemplateid = 'ADHS_C03' AND df.field_alias = 'Status';
    UPDATE qbedatafields df SET df.sorter = '6', df.width = '75' WHERE df.qbetemplateid = 'ADHS_C03' AND df.field_alias = 'LOINC #';
    UPDATE qbedatafields df SET df.sorter = '7', df.width = '75' WHERE df.qbetemplateid = 'ADHS_C03' AND df.field_alias = 'Version';
    UPDATE qbedatafields df SET df.sorter = '8', df.width = '75' WHERE df.qbetemplateid = 'ADHS_C03' AND df.field_alias = 'Component';
    UPDATE qbedatafields df SET df.sorter = '9', df.width = '75' WHERE df.qbetemplateid = 'ADHS_C03' AND df.field_alias = 'Default';
    UPDATE qbedatafields df SET df.sorter = '10', df.width = '75' WHERE df.qbetemplateid = 'ADHS_C03' AND df.field_alias = 'Method';
    UPDATE qbedatafields df SET df.sorter = '11', df.width = '75' WHERE df.qbetemplateid = 'ADHS_C03' AND df.field_alias = 'Property';
    UPDATE qbedatafields df SET df.sorter = '12', df.width = '75' WHERE df.qbetemplateid = 'ADHS_C03' AND df.field_alias = 'Scale';
    UPDATE qbedatafields df SET df.sorter = '13', df.width = '75' WHERE df.qbetemplateid = 'ADHS_C03' AND df.field_alias = 'Sample Types';
    UPDATE qbedatafields df SET df.sorter = '14', df.width = '75' WHERE df.qbetemplateid = 'ADHS_C03' AND df.field_alias = 'Time';
    UPDATE qbedatafields df SET df.sorter = '15', df.width = '75' WHERE df.qbetemplateid = 'ADHS_C03' AND df.field_alias = 'Code System OID';
*/
  --- ---

      
  /*----- -----*/

  
/*---------------------------------------------------------------------------*/

