
/*-----HL7SamplesIdentification----------------------------------------------*/
  --Use this script to identify samples for HL7 Validateion
/*---------------------------------------------------------------------------*/

SELECT DISTINCT
  f.folderno,
  f.testgroupname,
  f.apprdate,
  ha.rasclientid,
  cr.rasclientid,
--  ot.testno,
--  f.apprdate,

  '~' AS eol
FROM hl7_analytes ha
 INNER JOIN tests t ON (ha.testcode = ha.testcode)
 INNER JOIN ordtask ot ON (t.testcode = ot.testcode)
 INNER JOIN folders f ON (ot.folderno = ot.folderno)
 INNER JOIN centralreceiving cr ON (f.external_id = cr.external_id)
  INNER JOIN metadata_repository mr ON (1=1
    AND mr.tablereference = 'CENTRALRECEIVING'
    AND mr.original_origrec = cr.origrec)
WHERE 1=1
  AND ha.rasclientid IN ('MEDSIS', 'MEDSIS-TEST')
  AND to_date(f.apprdate, 'DD-MON-YY') BETWEEN to_date('01-JAN-2018', 'DD-MON-YYYY') AND to_date('31-DEC-2018', 'DD-MON-YYYY')
ORDER BY
  f.testgroupname ASC,
  f.folderno ASC
--  AND mr.field_varchar_80 = 'Diagnostics'
--  AND f.apprdate IS NOT NULL
--ORDER BY
--  f.testgroupname ASC,
--  f.apprdate ASC;

--SELECT distinct ha.rasclientid FROM hl7_analytes ha
--SELECT * FROM centralreceiving cr WHERE cr.rasclientid IN ('MEDSIS', 'MEDSIS-TEST')
  
