

SELECT
  f.dept,
  f.rasclientid,
  f.testgroupname,
  f.external_id,
  ot.testno,
  ot.runno,
  ot.ordno,
  ot.apprdate,
  re.final,
  '~' AS eol
FROM folders f
  INNER JOIN ordtask ot ON (f.folderno = ot.folderno)
  LEFT OUTER JOIN runs r ON (ot.runno = r.runno)
  LEFT OUTER JOIN results re ON (1=1
    AND ot.ordno = re.ordno
    AND ot.testcode = re.testcode)
WHERE 1=1
  AND f.external_id IN ('AZ00073240','AZ00073241','AZ00075820','AZ00075822','AZ00075829','AZ00078194')
--  AND r.runno = '18225'
ORDER BY
  f.external_id ASC,  
  f.dept ASC,
  f.testgroupname ASC,
  ot.testno ASC,
  ot.ordno ASC;
  
  
  
