

SELECT DISTINCT
  f.testgroupname,
  ot.testno,
  ot.folderno,
  ot.apprdate,
  f.apprdate
FROM ordtask ot
  inner join folders f ON (ot.folderno = f.folderno)
WHERE 1=1
  AND ot.apprdate IS NOT NULL
  AND ot.testcode = '511'
  AND f.apprdate IS NOT NULL
  AND f.testgroupname = 'Clinical Virology'
ORDER BY
  ot.apprdate DESC;
  
/*-----Samples to monitor for checking-----*/ 
SELECT DISTINCT
  f.testgroupname,
  f.external_id,
  f.apprdate,
  f.apprtime,
  ot.testno,
  ot.runno,
  ot.apprdate,
  ot.analyzedenddate,  
  '~' AS eol
FROM folders f
  INNER JOIN ordtask ot ON (f.folderno = ot.folderno)
WHERE 1=1
  AND ot.testcode = '511'
  AND ot.apprdate IS NOT NULL
--  AND f.apprdate IS NULL
  AND f.testgroupname = 'Coronavirus'
ORDER BY
  ot.apprdate DESC;  
